
_xEventGroupCreate:

;event_groups.c,174 :: 		EventGroupHandle_t xEventGroupCreate( void )
;event_groups.c,179 :: 		pxEventBits = ( EventGroup_t * ) pvPortMalloc( sizeof( EventGroup_t ) );
	PUSH	W10
	MOV	#16, W10
	CALL	_pvPortMalloc
; pxEventBits start address is: 4 (W2)
	MOV	W0, W2
;event_groups.c,181 :: 		if( pxEventBits != NULL )
	CP	W0, #0
	BRA NZ	L__xEventGroupCreate82
	GOTO	L_xEventGroupCreate0
L__xEventGroupCreate82:
;event_groups.c,183 :: 		pxEventBits->uxEventBits = 0;
	CLR	W0
	CLR	W1
	MOV.D	W0, [W2]
;event_groups.c,184 :: 		vListInitialise( &( pxEventBits->xTasksWaitingForBits ) );
	ADD	W2, #4, W0
	PUSH	W2
	MOV	W0, W10
	CALL	_vListInitialise
	POP	W2
;event_groups.c,196 :: 		}
	GOTO	L_xEventGroupCreate1
L_xEventGroupCreate0:
;event_groups.c,200 :: 		}
L_xEventGroupCreate1:
;event_groups.c,202 :: 		return ( EventGroupHandle_t ) pxEventBits;
	MOV	W2, W0
; pxEventBits end address is: 4 (W2)
;event_groups.c,203 :: 		}
;event_groups.c,202 :: 		return ( EventGroupHandle_t ) pxEventBits;
;event_groups.c,203 :: 		}
L_end_xEventGroupCreate:
	POP	W10
	RETURN
; end of _xEventGroupCreate

_xEventGroupSync:
	LNK	#6

;event_groups.c,208 :: 		EventBits_t xEventGroupSync( EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToSet, const EventBits_t uxBitsToWaitFor, TickType_t xTicksToWait )
	PUSH	W10
	PUSH	W11
	PUSH	W12
	MOV	[W14-10], W0
	MOV	[W14-8], W1
	MOV	W0, [W14-10]
	MOV	W1, [W14-8]
	MOV	[W14-14], W0
	MOV	[W14-12], W1
	MOV	W0, [W14-14]
	MOV	W1, [W14-12]
;event_groups.c,211 :: 		EventGroup_t *pxEventBits = ( EventGroup_t * ) xEventGroup;
	MOV	W10, [W14+4]
;event_groups.c,213 :: 		BaseType_t xTimeoutOccurred = pdFALSE;
;event_groups.c,215 :: 		configASSERT( ( uxBitsToWaitFor & eventEVENT_BITS_CONTROL_BYTES ) == 0 );
	MOV	[W14-10], W2
	MOV	[W14-8], W3
	MOV	#0, W0
	MOV	#65280, W1
	AND	W2, W0, W0
	AND	W3, W1, W1
	CP	W0, #0
	CPB	W1, #0
	CLR.B	W0
	BRA NZ	L__xEventGroupSync84
	INC.B	W0
L__xEventGroupSync84:
	CP.B	W0, #0
	BRA Z	L__xEventGroupSync85
	GOTO	L_xEventGroupSync2
L__xEventGroupSync85:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupSync3:
	GOTO	L_xEventGroupSync3
L_xEventGroupSync2:
;event_groups.c,216 :: 		configASSERT( uxBitsToWaitFor != 0 );
	MOV	[W14-10], W0
	MOV	[W14-8], W1
	CP	W0, #0
	CPB	W1, #0
	CLR.B	W0
	BRA Z	L__xEventGroupSync86
	INC.B	W0
L__xEventGroupSync86:
	CP.B	W0, #0
	BRA Z	L__xEventGroupSync87
	GOTO	L_xEventGroupSync5
L__xEventGroupSync87:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupSync6:
	GOTO	L_xEventGroupSync6
L_xEventGroupSync5:
;event_groups.c,223 :: 		vTaskSuspendAll();
	PUSH	W11
	PUSH	W12
	PUSH	W10
	CALL	_vTaskSuspendAll
	POP	W10
	POP	W12
	POP	W11
;event_groups.c,225 :: 		uxOriginalBitValue = pxEventBits->uxEventBits;
	MOV	[W14+4], W2
	MOV.D	[W2], W0
; uxOriginalBitValue start address is: 10 (W5)
	MOV	W0, W5
	MOV	W1, W6
;event_groups.c,227 :: 		( void ) xEventGroupSetBits( xEventGroup, uxBitsToSet );
	PUSH	W5
	PUSH	W6
	PUSH	W11
	PUSH	W12
	CALL	_xEventGroupSetBits
	POP	W12
	POP	W11
	POP	W6
	POP	W5
;event_groups.c,229 :: 		if( ( ( uxOriginalBitValue | uxBitsToSet ) & uxBitsToWaitFor ) == uxBitsToWaitFor )
	IOR	W5, W11, W3
	IOR	W6, W12, W4
	SUB	W14, #10, W0
	AND	W3, [W0++], W1
	AND	W4, [W0--], W2
	SUB	W14, #10, W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA Z	L__xEventGroupSync88
	GOTO	L_xEventGroupSync8
L__xEventGroupSync88:
;event_groups.c,232 :: 		uxReturn = ( uxOriginalBitValue | uxBitsToSet );
	ADD	W14, #0, W0
	IOR	W5, W11, [W0++]
	IOR	W6, W12, [W0--]
; uxOriginalBitValue end address is: 10 (W5)
;event_groups.c,236 :: 		pxEventBits->uxEventBits &= ~uxBitsToWaitFor;
	MOV	[W14-10], W0
	MOV	[W14-8], W1
	COM	W0, W3
	COM	W1, W4
	MOV	[W14+4], W0
	MOV	[W0++], W1
	MOV	[W0--], W2
	MOV	[W14+4], W0
	AND	W1, W3, [W0++]
	AND	W2, W4, [W0--]
;event_groups.c,238 :: 		xTicksToWait = 0;
	CLR	W0
	CLR	W1
	MOV	W0, [W14-14]
	MOV	W1, [W14-12]
;event_groups.c,239 :: 		}
	GOTO	L_xEventGroupSync9
L_xEventGroupSync8:
;event_groups.c,242 :: 		if( xTicksToWait != ( TickType_t ) 0 )
	MOV	[W14-14], W0
	MOV	[W14-12], W1
	CP	W0, #0
	CPB	W1, #0
	BRA NZ	L__xEventGroupSync89
	GOTO	L_xEventGroupSync10
L__xEventGroupSync89:
;event_groups.c,249 :: 		vTaskPlaceOnUnorderedEventList( &( pxEventBits->xTasksWaitingForBits ), ( uxBitsToWaitFor | eventCLEAR_EVENTS_ON_EXIT_BIT | eventWAIT_FOR_ALL_BITS ), xTicksToWait );
	MOV	[W14-10], W2
	MOV	[W14-8], W3
	MOV	#0, W0
	MOV	#256, W1
	IOR	W2, W0, W2
	IOR	W3, W1, W3
	MOV	#0, W0
	MOV	#1024, W1
	IOR	W2, W0, W2
	IOR	W3, W1, W3
	MOV	[W14+4], W0
	ADD	W0, #4, W0
	MOV	W2, W11
	MOV	W3, W12
	MOV	W0, W10
	SUB	W14, #14, W0
	PUSH	[W0++]
	PUSH	[W0--]
	CALL	_vTaskPlaceOnUnorderedEventList
	SUB	#4, W15
;event_groups.c,255 :: 		uxReturn = 0;
	CLR	W0
	CLR	W1
	MOV	W0, [W14+0]
	MOV	W1, [W14+2]
;event_groups.c,256 :: 		}
	GOTO	L_xEventGroupSync11
L_xEventGroupSync10:
;event_groups.c,261 :: 		uxReturn = pxEventBits->uxEventBits;
	MOV	[W14+4], W2
	MOV.D	[W2], W0
	MOV	W0, [W14+0]
	MOV	W1, [W14+2]
;event_groups.c,262 :: 		}
L_xEventGroupSync11:
;event_groups.c,263 :: 		}
L_xEventGroupSync9:
;event_groups.c,265 :: 		xAlreadyYielded = xTaskResumeAll();
	CALL	_xTaskResumeAll
; xAlreadyYielded start address is: 4 (W2)
	MOV	W0, W2
;event_groups.c,267 :: 		if( xTicksToWait != ( TickType_t ) 0 )
	MOV	[W14-14], W0
	MOV	[W14-12], W1
	CP	W0, #0
	CPB	W1, #0
	BRA NZ	L__xEventGroupSync90
	GOTO	L_xEventGroupSync12
L__xEventGroupSync90:
;event_groups.c,269 :: 		if( xAlreadyYielded == pdFALSE )
	CP	W2, #0
	BRA Z	L__xEventGroupSync91
	GOTO	L_xEventGroupSync13
L__xEventGroupSync91:
; xAlreadyYielded end address is: 4 (W2)
;event_groups.c,271 :: 		portYIELD_WITHIN_API();
	CALL	_vPortYield
	NOP
;event_groups.c,272 :: 		}
	GOTO	L_xEventGroupSync14
L_xEventGroupSync13:
;event_groups.c,276 :: 		}
L_xEventGroupSync14:
;event_groups.c,282 :: 		uxReturn = uxTaskResetEventItemValue();
	CALL	_uxTaskResetEventItemValue
	MOV	W0, [W14+0]
	MOV	W1, [W14+2]
;event_groups.c,284 :: 		if( ( uxReturn & eventUNBLOCKED_DUE_TO_BIT_SET ) == ( EventBits_t ) 0 )
	MOV	#0, W2
	MOV	#512, W3
	AND	W0, W2, W0
	AND	W1, W3, W1
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__xEventGroupSync92
	GOTO	L_xEventGroupSync15
L__xEventGroupSync92:
;event_groups.c,287 :: 		taskENTER_CRITICAL();
	CALL	_vPortEnterCritical
;event_groups.c,289 :: 		uxReturn = pxEventBits->uxEventBits;
	MOV	[W14+4], W0
	MOV	[W0++], W3
	MOV	[W0--], W4
	MOV	W3, [W14+0]
	MOV	W4, [W14+2]
;event_groups.c,295 :: 		if( ( uxReturn & uxBitsToWaitFor ) == uxBitsToWaitFor )
	SUB	W14, #10, W0
	AND	W3, [W0++], W1
	AND	W4, [W0--], W2
	SUB	W14, #10, W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA Z	L__xEventGroupSync93
	GOTO	L_xEventGroupSync16
L__xEventGroupSync93:
;event_groups.c,297 :: 		pxEventBits->uxEventBits &= ~uxBitsToWaitFor;
	MOV	[W14-10], W0
	MOV	[W14-8], W1
	COM	W0, W3
	COM	W1, W4
	MOV	[W14+4], W0
	MOV	[W0++], W1
	MOV	[W0--], W2
	MOV	[W14+4], W0
	AND	W1, W3, [W0++]
	AND	W2, W4, [W0--]
;event_groups.c,298 :: 		}
	GOTO	L_xEventGroupSync17
L_xEventGroupSync16:
;event_groups.c,302 :: 		}
L_xEventGroupSync17:
;event_groups.c,304 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;event_groups.c,307 :: 		}
	GOTO	L_xEventGroupSync18
L_xEventGroupSync15:
;event_groups.c,311 :: 		}
L_xEventGroupSync18:
;event_groups.c,315 :: 		uxReturn &= ~eventEVENT_BITS_CONTROL_BYTES;
	MOV	[W14+0], W3
	MOV	[W14+2], W4
	MOV	#65535, W1
	MOV	#255, W2
	ADD	W14, #0, W0
	AND	W3, W1, [W0++]
	AND	W4, W2, [W0--]
;event_groups.c,316 :: 		}
L_xEventGroupSync12:
;event_groups.c,320 :: 		return uxReturn;
	MOV	[W14+0], W0
	MOV	[W14+2], W1
;event_groups.c,321 :: 		}
;event_groups.c,320 :: 		return uxReturn;
;event_groups.c,321 :: 		}
L_end_xEventGroupSync:
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _xEventGroupSync

_xEventGroupWaitBits:
	LNK	#10

;event_groups.c,324 :: 		EventBits_t xEventGroupWaitBits( EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToWaitFor, const BaseType_t xClearOnExit, const BaseType_t xWaitForAllBits, TickType_t xTicksToWait )
	PUSH	W10
	MOV	[W14-8], W0
	MOV	W0, [W14-8]
	MOV	[W14-12], W0
	MOV	[W14-10], W1
	MOV	W0, [W14-12]
	MOV	W1, [W14-10]
;event_groups.c,326 :: 		EventGroup_t *pxEventBits = ( EventGroup_t * ) xEventGroup;
	MOV	W10, [W14+0]
;event_groups.c,327 :: 		EventBits_t uxReturn, uxControlBits = 0;
	MOV	#0, W0
	MOV	W0, [W14+6]
	MOV	#0, W0
	MOV	W0, [W14+8]
;event_groups.c,329 :: 		BaseType_t xTimeoutOccurred = pdFALSE;
;event_groups.c,333 :: 		configASSERT( xEventGroup );
	CP	W10, #0
	BRA Z	L__xEventGroupWaitBits95
	GOTO	L_xEventGroupWaitBits19
L__xEventGroupWaitBits95:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupWaitBits20:
	GOTO	L_xEventGroupWaitBits20
L_xEventGroupWaitBits19:
;event_groups.c,334 :: 		configASSERT( ( uxBitsToWaitFor & eventEVENT_BITS_CONTROL_BYTES ) == 0 );
	MOV	#0, W0
	MOV	#65280, W1
	AND	W11, W0, W0
	AND	W12, W1, W1
	CP	W0, #0
	CPB	W1, #0
	CLR.B	W0
	BRA NZ	L__xEventGroupWaitBits96
	INC.B	W0
L__xEventGroupWaitBits96:
	CP.B	W0, #0
	BRA Z	L__xEventGroupWaitBits97
	GOTO	L_xEventGroupWaitBits22
L__xEventGroupWaitBits97:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupWaitBits23:
	GOTO	L_xEventGroupWaitBits23
L_xEventGroupWaitBits22:
;event_groups.c,335 :: 		configASSERT( uxBitsToWaitFor != 0 );
	CP	W11, #0
	CPB	W12, #0
	CLR.B	W0
	BRA Z	L__xEventGroupWaitBits98
	INC.B	W0
L__xEventGroupWaitBits98:
	CP.B	W0, #0
	BRA Z	L__xEventGroupWaitBits99
	GOTO	L_xEventGroupWaitBits25
L__xEventGroupWaitBits99:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupWaitBits26:
	GOTO	L_xEventGroupWaitBits26
L_xEventGroupWaitBits25:
;event_groups.c,342 :: 		vTaskSuspendAll();
	PUSH	W13
	PUSH	W11
	PUSH	W12
	CALL	_vTaskSuspendAll
	POP	W12
	POP	W11
;event_groups.c,344 :: 		const EventBits_t uxCurrentEventBits = pxEventBits->uxEventBits;
	MOV	[W14+0], W2
	MOV.D	[W2], W0
; uxCurrentEventBits start address is: 4 (W2)
	MOV.D	W0, W2
;event_groups.c,347 :: 		xWaitConditionMet = prvTestWaitCondition( uxCurrentEventBits, uxBitsToWaitFor, xWaitForAllBits );
	PUSH	W11
	PUSH	W12
	MOV	W12, W13
	MOV	W11, W12
	MOV.D	W0, W10
	SUB	W14, #8, W0
	PUSH	[W0]
	CALL	event_groups_prvTestWaitCondition
	SUB	#2, W15
	POP	W12
	POP	W11
	POP	W13
;event_groups.c,349 :: 		if( xWaitConditionMet != pdFALSE )
	CP	W0, #0
	BRA NZ	L__xEventGroupWaitBits100
	GOTO	L_xEventGroupWaitBits28
L__xEventGroupWaitBits100:
;event_groups.c,353 :: 		uxReturn = uxCurrentEventBits;
	MOV	W2, [W14+2]
	MOV	W3, [W14+4]
; uxCurrentEventBits end address is: 4 (W2)
;event_groups.c,354 :: 		xTicksToWait = ( TickType_t ) 0;
	CLR	W0
	CLR	W1
	MOV	W0, [W14-12]
	MOV	W1, [W14-10]
;event_groups.c,357 :: 		if( xClearOnExit != pdFALSE )
	CP	W13, #0
	BRA NZ	L__xEventGroupWaitBits101
	GOTO	L_xEventGroupWaitBits29
L__xEventGroupWaitBits101:
;event_groups.c,359 :: 		pxEventBits->uxEventBits &= ~uxBitsToWaitFor;
	MOV	W11, W0
	MOV	W12, W1
	COM	W0, W3
	COM	W1, W4
	MOV	[W14+0], W0
	MOV	[W0++], W1
	MOV	[W0--], W2
	MOV	[W14+0], W0
	AND	W1, W3, [W0++]
	AND	W2, W4, [W0--]
;event_groups.c,360 :: 		}
	GOTO	L_xEventGroupWaitBits30
L_xEventGroupWaitBits29:
;event_groups.c,364 :: 		}
L_xEventGroupWaitBits30:
;event_groups.c,365 :: 		}
	GOTO	L_xEventGroupWaitBits31
L_xEventGroupWaitBits28:
;event_groups.c,366 :: 		else if( xTicksToWait == ( TickType_t ) 0 )
; uxCurrentEventBits start address is: 4 (W2)
	MOV	[W14-12], W0
	MOV	[W14-10], W1
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__xEventGroupWaitBits102
	GOTO	L_xEventGroupWaitBits32
L__xEventGroupWaitBits102:
;event_groups.c,370 :: 		uxReturn = uxCurrentEventBits;
	MOV	W2, [W14+2]
	MOV	W3, [W14+4]
; uxCurrentEventBits end address is: 4 (W2)
;event_groups.c,371 :: 		}
	GOTO	L_xEventGroupWaitBits33
L_xEventGroupWaitBits32:
;event_groups.c,378 :: 		if( xClearOnExit != pdFALSE )
	CP	W13, #0
	BRA NZ	L__xEventGroupWaitBits103
	GOTO	L_xEventGroupWaitBits34
L__xEventGroupWaitBits103:
;event_groups.c,380 :: 		uxControlBits |= eventCLEAR_EVENTS_ON_EXIT_BIT;
	MOV	[W14+6], W3
	MOV	[W14+8], W4
	MOV	#0, W1
	MOV	#256, W2
	ADD	W14, #6, W0
	IOR	W3, W1, [W0++]
	IOR	W4, W2, [W0--]
;event_groups.c,381 :: 		}
	GOTO	L_xEventGroupWaitBits35
L_xEventGroupWaitBits34:
;event_groups.c,385 :: 		}
L_xEventGroupWaitBits35:
;event_groups.c,387 :: 		if( xWaitForAllBits != pdFALSE )
	MOV	[W14-8], W0
	CP	W0, #0
	BRA NZ	L__xEventGroupWaitBits104
	GOTO	L_xEventGroupWaitBits36
L__xEventGroupWaitBits104:
;event_groups.c,389 :: 		uxControlBits |= eventWAIT_FOR_ALL_BITS;
	MOV	[W14+6], W3
	MOV	[W14+8], W4
	MOV	#0, W1
	MOV	#1024, W2
	ADD	W14, #6, W0
	IOR	W3, W1, [W0++]
	IOR	W4, W2, [W0--]
;event_groups.c,390 :: 		}
	GOTO	L_xEventGroupWaitBits37
L_xEventGroupWaitBits36:
;event_groups.c,394 :: 		}
L_xEventGroupWaitBits37:
;event_groups.c,399 :: 		vTaskPlaceOnUnorderedEventList( &( pxEventBits->xTasksWaitingForBits ), ( uxBitsToWaitFor | uxControlBits ), xTicksToWait );
	ADD	W14, #6, W0
	IOR	W11, [W0++], W1
	IOR	W12, [W0--], W2
	MOV	[W14+0], W0
	ADD	W0, #4, W0
	PUSH	W13
	PUSH	W11
	PUSH	W12
	MOV	W1, W11
	MOV	W2, W12
	MOV	W0, W10
	SUB	W14, #12, W0
	PUSH	[W0++]
	PUSH	[W0--]
	CALL	_vTaskPlaceOnUnorderedEventList
	SUB	#4, W15
	POP	W12
	POP	W11
	POP	W13
;event_groups.c,404 :: 		uxReturn = 0;
	CLR	W0
	CLR	W1
	MOV	W0, [W14+2]
	MOV	W1, [W14+4]
;event_groups.c,407 :: 		}
L_xEventGroupWaitBits33:
L_xEventGroupWaitBits31:
;event_groups.c,409 :: 		xAlreadyYielded = xTaskResumeAll();
	PUSH	W13
	PUSH	W11
	PUSH	W12
	CALL	_xTaskResumeAll
	POP	W12
	POP	W11
	POP	W13
; xAlreadyYielded start address is: 4 (W2)
	MOV	W0, W2
;event_groups.c,411 :: 		if( xTicksToWait != ( TickType_t ) 0 )
	MOV	[W14-12], W0
	MOV	[W14-10], W1
	CP	W0, #0
	CPB	W1, #0
	BRA NZ	L__xEventGroupWaitBits105
	GOTO	L_xEventGroupWaitBits38
L__xEventGroupWaitBits105:
;event_groups.c,413 :: 		if( xAlreadyYielded == pdFALSE )
	CP	W2, #0
	BRA Z	L__xEventGroupWaitBits106
	GOTO	L_xEventGroupWaitBits39
L__xEventGroupWaitBits106:
; xAlreadyYielded end address is: 4 (W2)
;event_groups.c,415 :: 		portYIELD_WITHIN_API();
	PUSH	W13
	PUSH	W11
	PUSH	W12
	CALL	_vPortYield
	NOP
	POP	W12
	POP	W11
	POP	W13
;event_groups.c,416 :: 		}
	GOTO	L_xEventGroupWaitBits40
L_xEventGroupWaitBits39:
;event_groups.c,420 :: 		}
L_xEventGroupWaitBits40:
;event_groups.c,426 :: 		uxReturn = uxTaskResetEventItemValue();
	PUSH	W13
	PUSH	W11
	PUSH	W12
	CALL	_uxTaskResetEventItemValue
	POP	W12
	POP	W11
	POP	W13
	MOV	W0, [W14+2]
	MOV	W1, [W14+4]
;event_groups.c,428 :: 		if( ( uxReturn & eventUNBLOCKED_DUE_TO_BIT_SET ) == ( EventBits_t ) 0 )
	MOV	#0, W2
	MOV	#512, W3
	AND	W0, W2, W0
	AND	W1, W3, W1
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__xEventGroupWaitBits107
	GOTO	L_xEventGroupWaitBits41
L__xEventGroupWaitBits107:
;event_groups.c,430 :: 		taskENTER_CRITICAL();
	PUSH	W13
	PUSH	W11
	PUSH	W12
	CALL	_vPortEnterCritical
	POP	W12
	POP	W11
;event_groups.c,433 :: 		uxReturn = pxEventBits->uxEventBits;
	MOV	[W14+0], W2
	MOV.D	[W2], W0
	MOV	W0, [W14+2]
	MOV	W1, [W14+4]
;event_groups.c,437 :: 		if( prvTestWaitCondition( uxReturn, uxBitsToWaitFor, xWaitForAllBits ) != pdFALSE )
	PUSH	W11
	PUSH	W12
	MOV	W12, W13
	MOV	W11, W12
	MOV.D	W0, W10
	SUB	W14, #8, W0
	PUSH	[W0]
	CALL	event_groups_prvTestWaitCondition
	SUB	#2, W15
	POP	W12
	POP	W11
	POP	W13
	CP	W0, #0
	BRA NZ	L__xEventGroupWaitBits108
	GOTO	L_xEventGroupWaitBits42
L__xEventGroupWaitBits108:
;event_groups.c,439 :: 		if( xClearOnExit != pdFALSE )
	CP	W13, #0
	BRA NZ	L__xEventGroupWaitBits109
	GOTO	L_xEventGroupWaitBits43
L__xEventGroupWaitBits109:
;event_groups.c,441 :: 		pxEventBits->uxEventBits &= ~uxBitsToWaitFor;
	MOV	W11, W0
	MOV	W12, W1
	COM	W0, W3
	COM	W1, W4
	MOV	[W14+0], W0
	MOV	[W0++], W1
	MOV	[W0--], W2
	MOV	[W14+0], W0
	AND	W1, W3, [W0++]
	AND	W2, W4, [W0--]
;event_groups.c,442 :: 		}
	GOTO	L_xEventGroupWaitBits44
L_xEventGroupWaitBits43:
;event_groups.c,446 :: 		}
L_xEventGroupWaitBits44:
;event_groups.c,447 :: 		}
	GOTO	L_xEventGroupWaitBits45
L_xEventGroupWaitBits42:
;event_groups.c,451 :: 		}
L_xEventGroupWaitBits45:
;event_groups.c,453 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;event_groups.c,457 :: 		}
	GOTO	L_xEventGroupWaitBits46
L_xEventGroupWaitBits41:
;event_groups.c,461 :: 		}
L_xEventGroupWaitBits46:
;event_groups.c,464 :: 		uxReturn &= ~eventEVENT_BITS_CONTROL_BYTES;
	MOV	[W14+2], W3
	MOV	[W14+4], W4
	MOV	#65535, W1
	MOV	#255, W2
	ADD	W14, #2, W0
	AND	W3, W1, [W0++]
	AND	W4, W2, [W0--]
;event_groups.c,465 :: 		}
L_xEventGroupWaitBits38:
;event_groups.c,468 :: 		return uxReturn;
	MOV	[W14+2], W0
	MOV	[W14+4], W1
;event_groups.c,469 :: 		}
;event_groups.c,468 :: 		return uxReturn;
;event_groups.c,469 :: 		}
L_end_xEventGroupWaitBits:
	POP	W10
	ULNK
	RETURN
; end of _xEventGroupWaitBits

_xEventGroupClearBits:

;event_groups.c,472 :: 		EventBits_t xEventGroupClearBits( EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToClear )
;event_groups.c,474 :: 		EventGroup_t *pxEventBits = ( EventGroup_t * ) xEventGroup;
; pxEventBits start address is: 8 (W4)
	MOV	W10, W4
;event_groups.c,479 :: 		configASSERT( xEventGroup );
	CP	W10, #0
	BRA Z	L__xEventGroupClearBits111
	GOTO	L_xEventGroupClearBits47
L__xEventGroupClearBits111:
; pxEventBits end address is: 8 (W4)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupClearBits48:
	GOTO	L_xEventGroupClearBits48
L_xEventGroupClearBits47:
;event_groups.c,480 :: 		configASSERT( ( uxBitsToClear & eventEVENT_BITS_CONTROL_BYTES ) == 0 );
; pxEventBits start address is: 8 (W4)
	MOV	#0, W0
	MOV	#65280, W1
	AND	W11, W0, W0
	AND	W12, W1, W1
	CP	W0, #0
	CPB	W1, #0
	CLR.B	W0
	BRA NZ	L__xEventGroupClearBits112
	INC.B	W0
L__xEventGroupClearBits112:
	CP.B	W0, #0
	BRA Z	L__xEventGroupClearBits113
	GOTO	L_xEventGroupClearBits50
L__xEventGroupClearBits113:
; pxEventBits end address is: 8 (W4)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupClearBits51:
	GOTO	L_xEventGroupClearBits51
L_xEventGroupClearBits50:
;event_groups.c,482 :: 		taskENTER_CRITICAL();
; pxEventBits start address is: 8 (W4)
	PUSH	W4
	PUSH	W11
	PUSH	W12
	CALL	_vPortEnterCritical
	POP	W12
	POP	W11
	POP	W4
;event_groups.c,488 :: 		uxReturn = pxEventBits->uxEventBits;
	MOV.D	[W4], W2
; uxReturn start address is: 10 (W5)
	MOV	W2, W5
	MOV	W3, W6
;event_groups.c,491 :: 		pxEventBits->uxEventBits &= ~uxBitsToClear;
	MOV	W11, W0
	MOV	W12, W1
	COM	W0
	COM	W1
	AND	W2, W0, [W4++]
	AND	W3, W1, [W4--]
; pxEventBits end address is: 8 (W4)
;event_groups.c,493 :: 		taskEXIT_CRITICAL();
	PUSH	W5
	PUSH	W6
	CALL	_vPortExitCritical
	POP	W6
	POP	W5
;event_groups.c,495 :: 		return uxReturn;
	MOV	W5, W0
	MOV	W6, W1
; uxReturn end address is: 10 (W5)
;event_groups.c,496 :: 		}
L_end_xEventGroupClearBits:
	RETURN
; end of _xEventGroupClearBits

_xEventGroupGetBitsFromISR:

;event_groups.c,514 :: 		EventBits_t xEventGroupGetBitsFromISR( EventGroupHandle_t xEventGroup )
;event_groups.c,526 :: 		return uxReturn;
	MOV.D	[W10], W0
;event_groups.c,527 :: 		}
L_end_xEventGroupGetBitsFromISR:
	RETURN
; end of _xEventGroupGetBitsFromISR

_xEventGroupSetBits:
	LNK	#16

;event_groups.c,530 :: 		EventBits_t xEventGroupSetBits( EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToSet )
;event_groups.c,535 :: 		EventBits_t uxBitsToClear = 0, uxBitsWaitedFor, uxControlBits;
	MOV	#0, W0
	MOV	W0, [W14+10]
	MOV	#0, W0
	MOV	W0, [W14+12]
;event_groups.c,536 :: 		EventGroup_t *pxEventBits = ( EventGroup_t * ) xEventGroup;
; pxEventBits start address is: 4 (W2)
	MOV	W10, W2
;event_groups.c,537 :: 		BaseType_t xMatchFound = pdFALSE;
;event_groups.c,541 :: 		configASSERT( xEventGroup );
	CP	W10, #0
	BRA Z	L__xEventGroupSetBits116
	GOTO	L_xEventGroupSetBits53
L__xEventGroupSetBits116:
; pxEventBits end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupSetBits54:
	GOTO	L_xEventGroupSetBits54
L_xEventGroupSetBits53:
;event_groups.c,542 :: 		configASSERT( ( uxBitsToSet & eventEVENT_BITS_CONTROL_BYTES ) == 0 );
; pxEventBits start address is: 4 (W2)
	MOV	#0, W0
	MOV	#65280, W1
	AND	W11, W0, W0
	AND	W12, W1, W1
	CP	W0, #0
	CPB	W1, #0
	CLR.B	W0
	BRA NZ	L__xEventGroupSetBits117
	INC.B	W0
L__xEventGroupSetBits117:
	CP.B	W0, #0
	BRA Z	L__xEventGroupSetBits118
	GOTO	L_xEventGroupSetBits56
L__xEventGroupSetBits118:
; pxEventBits end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xEventGroupSetBits57:
	GOTO	L_xEventGroupSetBits57
L_xEventGroupSetBits56:
;event_groups.c,544 :: 		pxList = &( pxEventBits->xTasksWaitingForBits );
; pxEventBits start address is: 4 (W2)
	ADD	W2, #4, W0
	MOV	W0, [W14+4]
;event_groups.c,545 :: 		pxListEnd = listGET_END_MARKER( pxList ); /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
	ADD	W0, #4, W0
	MOV	W0, [W14+2]
;event_groups.c,546 :: 		vTaskSuspendAll();
	PUSH	W2
	PUSH	W11
	PUSH	W12
	CALL	_vTaskSuspendAll
	POP	W12
	POP	W11
	POP	W2
;event_groups.c,550 :: 		pxListItem = listGET_HEAD_ENTRY( pxList );
	MOV	[W14+4], W0
	ADD	W0, #4, W0
	ADD	W0, #4, W0
; pxListItem start address is: 18 (W9)
	MOV	[W0], W9
;event_groups.c,553 :: 		pxEventBits->uxEventBits |= uxBitsToSet;
	MOV.D	[W2], W0
	IOR	W0, W11, [W2++]
	IOR	W1, W12, [W2--]
	MOV	W2, W7
; pxEventBits end address is: 4 (W2)
; pxListItem end address is: 18 (W9)
	MOV	W9, W6
;event_groups.c,556 :: 		while( pxListItem != pxListEnd )
L_xEventGroupSetBits59:
; pxListItem start address is: 12 (W6)
; pxEventBits start address is: 14 (W7)
	ADD	W14, #2, W0
	CP	W6, [W0]
	BRA NZ	L__xEventGroupSetBits119
	GOTO	L_xEventGroupSetBits60
L__xEventGroupSetBits119:
;event_groups.c,558 :: 		pxNext = listGET_NEXT( pxListItem );
	ADD	W6, #4, W0
	MOV	[W0], W0
	MOV	W0, [W14+0]
;event_groups.c,559 :: 		uxBitsWaitedFor = listGET_LIST_ITEM_VALUE( pxListItem );
	MOV.D	[W6], W4
;event_groups.c,560 :: 		xMatchFound = pdFALSE;
	CLR	W0
	MOV	W0, [W14+14]
;event_groups.c,563 :: 		uxControlBits = uxBitsWaitedFor & eventEVENT_BITS_CONTROL_BYTES;
	MOV	#0, W0
	MOV	#65280, W1
	AND	W4, W0, W2
	AND	W5, W1, W3
	MOV	W2, [W14+6]
	MOV	W3, [W14+8]
;event_groups.c,564 :: 		uxBitsWaitedFor &= ~eventEVENT_BITS_CONTROL_BYTES;
	MOV	#65535, W0
	MOV	#255, W1
; uxBitsWaitedFor start address is: 8 (W4)
	AND	W4, W0, W4
	AND	W5, W1, W5
;event_groups.c,566 :: 		if( ( uxControlBits & eventWAIT_FOR_ALL_BITS ) == ( EventBits_t ) 0 )
	MOV	#0, W0
	MOV	#1024, W1
	AND	W2, W0, W0
	AND	W3, W1, W1
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__xEventGroupSetBits120
	GOTO	L_xEventGroupSetBits61
L__xEventGroupSetBits120:
;event_groups.c,569 :: 		if( ( uxBitsWaitedFor & pxEventBits->uxEventBits ) != ( EventBits_t ) 0 )
	MOV.D	[W7], W0
	AND	W4, W0, W0
	AND	W5, W1, W1
	CP	W0, #0
	CPB	W1, #0
	BRA NZ	L__xEventGroupSetBits121
	GOTO	L_xEventGroupSetBits62
L__xEventGroupSetBits121:
;event_groups.c,571 :: 		xMatchFound = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+14]
;event_groups.c,572 :: 		}
	GOTO	L_xEventGroupSetBits63
L_xEventGroupSetBits62:
;event_groups.c,576 :: 		}
L_xEventGroupSetBits63:
;event_groups.c,577 :: 		}
	GOTO	L_xEventGroupSetBits64
L_xEventGroupSetBits61:
;event_groups.c,578 :: 		else if( ( uxBitsWaitedFor & pxEventBits->uxEventBits ) == uxBitsWaitedFor )
	MOV.D	[W7], W0
	AND	W4, W0, W0
	AND	W5, W1, W1
	CP	W0, W4
	CPB	W1, W5
	BRA Z	L__xEventGroupSetBits122
	GOTO	L_xEventGroupSetBits65
L__xEventGroupSetBits122:
;event_groups.c,581 :: 		xMatchFound = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+14]
;event_groups.c,582 :: 		}
	GOTO	L_xEventGroupSetBits66
L_xEventGroupSetBits65:
;event_groups.c,586 :: 		}
L_xEventGroupSetBits66:
L_xEventGroupSetBits64:
;event_groups.c,588 :: 		if( xMatchFound != pdFALSE )
	MOV	[W14+14], W0
	CP	W0, #0
	BRA NZ	L__xEventGroupSetBits123
	GOTO	L_xEventGroupSetBits67
L__xEventGroupSetBits123:
;event_groups.c,591 :: 		if( ( uxControlBits & eventCLEAR_EVENTS_ON_EXIT_BIT ) != ( EventBits_t ) 0 )
	MOV	[W14+6], W2
	MOV	[W14+8], W3
	MOV	#0, W0
	MOV	#256, W1
	AND	W2, W0, W0
	AND	W3, W1, W1
	CP	W0, #0
	CPB	W1, #0
	BRA NZ	L__xEventGroupSetBits124
	GOTO	L_xEventGroupSetBits68
L__xEventGroupSetBits124:
;event_groups.c,593 :: 		uxBitsToClear |= uxBitsWaitedFor;
	ADD	W14, #10, W1
	ADD	W14, #10, W0
	IOR	W4, [W1++], [W0++]
	IOR	W5, [W1--], [W0--]
; uxBitsWaitedFor end address is: 8 (W4)
;event_groups.c,594 :: 		}
	GOTO	L_xEventGroupSetBits69
L_xEventGroupSetBits68:
;event_groups.c,598 :: 		}
L_xEventGroupSetBits69:
;event_groups.c,605 :: 		( void ) xTaskRemoveFromUnorderedEventList( pxListItem, pxEventBits->uxEventBits | eventUNBLOCKED_DUE_TO_BIT_SET );
	MOV.D	[W7], W2
	MOV	#0, W0
	MOV	#512, W1
	IOR	W2, W0, W0
	IOR	W3, W1, W1
	PUSH	W7
	PUSH	W11
	PUSH	W12
	PUSH	W10
	MOV	W0, W11
	MOV	W1, W12
	MOV	W6, W10
; pxListItem end address is: 12 (W6)
	CALL	_xTaskRemoveFromUnorderedEventList
	POP	W10
	POP	W12
	POP	W11
	POP	W7
;event_groups.c,606 :: 		}
L_xEventGroupSetBits67:
;event_groups.c,611 :: 		pxListItem = pxNext;
; pxListItem start address is: 12 (W6)
	MOV	[W14+0], W6
;event_groups.c,612 :: 		}
; pxListItem end address is: 12 (W6)
	GOTO	L_xEventGroupSetBits59
L_xEventGroupSetBits60:
;event_groups.c,616 :: 		pxEventBits->uxEventBits &= ~uxBitsToClear;
	MOV	[W14+10], W0
	MOV	[W14+12], W1
	COM	W0, W2
	COM	W1, W3
	MOV.D	[W7], W0
	AND	W0, W2, [W7++]
	AND	W1, W3, [W7--]
;event_groups.c,618 :: 		( void ) xTaskResumeAll();
	PUSH	W7
	PUSH	W11
	PUSH	W12
	PUSH	W10
	CALL	_xTaskResumeAll
	POP	W10
	POP	W12
	POP	W11
	POP	W7
;event_groups.c,620 :: 		return pxEventBits->uxEventBits;
	MOV.D	[W7], W0
; pxEventBits end address is: 14 (W7)
;event_groups.c,621 :: 		}
L_end_xEventGroupSetBits:
	ULNK
	RETURN
; end of _xEventGroupSetBits

_vEventGroupDelete:
	LNK	#4

;event_groups.c,624 :: 		void vEventGroupDelete( EventGroupHandle_t xEventGroup )
;event_groups.c,626 :: 		EventGroup_t *pxEventBits = ( EventGroup_t * ) xEventGroup;
	PUSH	W11
	PUSH	W12
	MOV	W10, [W14+0]
;event_groups.c,627 :: 		const List_t *pxTasksWaitingForBits = &( pxEventBits->xTasksWaitingForBits );
	ADD	W14, #2, W0
	ADD	W10, #4, [W0]
;event_groups.c,629 :: 		vTaskSuspendAll();
	CALL	_vTaskSuspendAll
;event_groups.c,633 :: 		while( listCURRENT_LIST_LENGTH( pxTasksWaitingForBits ) > ( UBaseType_t ) 0 )
L_vEventGroupDelete70:
	MOV	[W14+2], W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	WREG, 50
	MOV	[W1], W0
	CP	W0, #0
	BRA GTU	L__vEventGroupDelete126
	GOTO	L_vEventGroupDelete71
L__vEventGroupDelete126:
;event_groups.c,637 :: 		configASSERT( pxTasksWaitingForBits->xListEnd.pxNext != ( ListItem_t * ) &( pxTasksWaitingForBits->xListEnd ) );
	MOV	[W14+2], W0
	ADD	W0, #4, W2
	ADD	W2, #4, W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	WREG, 50
	MOV	[W1], W1
	MOV	W2, W0
	CP	W1, W0
	CLR.B	W0
	BRA Z	L__vEventGroupDelete127
	INC.B	W0
L__vEventGroupDelete127:
	CP.B	W0, #0
	BRA Z	L__vEventGroupDelete128
	GOTO	L_vEventGroupDelete72
L__vEventGroupDelete128:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_vEventGroupDelete73:
	GOTO	L_vEventGroupDelete73
L_vEventGroupDelete72:
;event_groups.c,638 :: 		( void ) xTaskRemoveFromUnorderedEventList( pxTasksWaitingForBits->xListEnd.pxNext, eventUNBLOCKED_DUE_TO_BIT_SET );
	MOV	[W14+2], W0
	ADD	W0, #4, W0
	ADD	W0, #4, W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	WREG, 50
	MOV	[W1], W0
	PUSH	W10
	MOV	#0, W11
	MOV	#512, W12
	MOV	W0, W10
	CALL	_xTaskRemoveFromUnorderedEventList
	POP	W10
;event_groups.c,639 :: 		}
	GOTO	L_vEventGroupDelete70
L_vEventGroupDelete71:
;event_groups.c,645 :: 		vPortFree( pxEventBits );
	PUSH	W10
	MOV	[W14+0], W10
	CALL	_vPortFree
;event_groups.c,662 :: 		( void ) xTaskResumeAll();
	CALL	_xTaskResumeAll
	POP	W10
;event_groups.c,663 :: 		}
L_end_vEventGroupDelete:
	POP	W12
	POP	W11
	ULNK
	RETURN
; end of _vEventGroupDelete

_vEventGroupSetBitsCallback:

;event_groups.c,668 :: 		void vEventGroupSetBitsCallback( void *pvEventGroup, const uint32_t ulBitsToSet )
;event_groups.c,670 :: 		( void ) xEventGroupSetBits( pvEventGroup, ( EventBits_t ) ulBitsToSet );
	CALL	_xEventGroupSetBits
;event_groups.c,671 :: 		}
L_end_vEventGroupSetBitsCallback:
	RETURN
; end of _vEventGroupSetBitsCallback

_vEventGroupClearBitsCallback:

;event_groups.c,676 :: 		void vEventGroupClearBitsCallback( void *pvEventGroup, const uint32_t ulBitsToClear )
;event_groups.c,678 :: 		( void ) xEventGroupClearBits( pvEventGroup, ( EventBits_t ) ulBitsToClear );
	CALL	_xEventGroupClearBits
;event_groups.c,679 :: 		}
L_end_vEventGroupClearBitsCallback:
	RETURN
; end of _vEventGroupClearBitsCallback

event_groups_prvTestWaitCondition:
	LNK	#2

;event_groups.c,682 :: 		static BaseType_t prvTestWaitCondition( const EventBits_t uxCurrentEventBits, const EventBits_t uxBitsToWaitFor, const BaseType_t xWaitForAllBits )
; xWaitForAllBits start address is: 2 (W1)
	MOV	[W14-8], W1
;event_groups.c,684 :: 		BaseType_t xWaitConditionMet = pdFALSE;
	MOV	#0, W0
	MOV	W0, [W14+0]
;event_groups.c,686 :: 		if( xWaitForAllBits == pdFALSE )
	CP	W1, #0
	BRA Z	L_event_groups_prvTestWaitCondition132
	GOTO	L_event_groups_prvTestWaitCondition75
L_event_groups_prvTestWaitCondition132:
; xWaitForAllBits end address is: 2 (W1)
;event_groups.c,690 :: 		if( ( uxCurrentEventBits & uxBitsToWaitFor ) != ( EventBits_t ) 0 )
	AND	W10, W12, W0
	AND	W11, W13, W1
	CP	W0, #0
	CPB	W1, #0
	BRA NZ	L_event_groups_prvTestWaitCondition133
	GOTO	L_event_groups_prvTestWaitCondition76
L_event_groups_prvTestWaitCondition133:
;event_groups.c,692 :: 		xWaitConditionMet = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+0]
;event_groups.c,693 :: 		}
	GOTO	L_event_groups_prvTestWaitCondition77
L_event_groups_prvTestWaitCondition76:
;event_groups.c,697 :: 		}
L_event_groups_prvTestWaitCondition77:
;event_groups.c,698 :: 		}
	GOTO	L_event_groups_prvTestWaitCondition78
L_event_groups_prvTestWaitCondition75:
;event_groups.c,703 :: 		if( ( uxCurrentEventBits & uxBitsToWaitFor ) == uxBitsToWaitFor )
	AND	W10, W12, W0
	AND	W11, W13, W1
	CP	W0, W12
	CPB	W1, W13
	BRA Z	L_event_groups_prvTestWaitCondition134
	GOTO	L_event_groups_prvTestWaitCondition79
L_event_groups_prvTestWaitCondition134:
;event_groups.c,705 :: 		xWaitConditionMet = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+0]
;event_groups.c,706 :: 		}
	GOTO	L_event_groups_prvTestWaitCondition80
L_event_groups_prvTestWaitCondition79:
;event_groups.c,710 :: 		}
L_event_groups_prvTestWaitCondition80:
;event_groups.c,711 :: 		}
L_event_groups_prvTestWaitCondition78:
;event_groups.c,713 :: 		return xWaitConditionMet;
	MOV	[W14+0], W0
;event_groups.c,714 :: 		}
L_end_prvTestWaitCondition:
	ULNK
	RETURN
; end of event_groups_prvTestWaitCondition
