
_vListInitialise:

;list.c,79 :: 		void vListInitialise( List_t * const pxList )
;list.c,84 :: 		pxList->pxIndex = ( ListItem_t * ) &( pxList->xListEnd );                        /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
	ADD	W10, #2, W1
	ADD	W10, #4, W0
	MOV	W0, [W1]
;list.c,88 :: 		pxList->xListEnd.xItemValue = portMAX_DELAY;
	ADD	W10, #4, W2
	MOV	#65535, W0
	MOV	#65535, W1
	MOV.D	W0, [W2]
;list.c,92 :: 		pxList->xListEnd.pxNext = ( ListItem_t * ) &( pxList->xListEnd );        /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
	ADD	W10, #4, W1
	ADD	W1, #4, W0
	MOV	W1, [W0]
;list.c,93 :: 		pxList->xListEnd.pxPrevious = ( ListItem_t * ) &( pxList->xListEnd );/*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
	ADD	W10, #4, W1
	ADD	W1, #6, W0
	MOV	W1, [W0]
;list.c,95 :: 		pxList->uxNumberOfItems = ( UBaseType_t ) 0U;
	CLR	W0
	MOV	W0, [W10]
;list.c,101 :: 		}
L_end_vListInitialise:
	RETURN
; end of _vListInitialise

_vListInitialiseItem:

;list.c,104 :: 		void vListInitialiseItem( ListItem_t * const pxItem )
;list.c,107 :: 		pxItem->pvContainer = NULL;
	ADD	W10, #10, W1
	CLR	W0
	MOV	W0, [W1]
;list.c,113 :: 		}
L_end_vListInitialiseItem:
	RETURN
; end of _vListInitialiseItem

_vListInsertEnd:

;list.c,116 :: 		void vListInsertEnd( List_t * const pxList, ListItem_t * const pxNewListItem )
;list.c,118 :: 		ListItem_t * const pxIndex = pxList->pxIndex;
	ADD	W10, #2, W1
; pxIndex start address is: 4 (W2)
	MOV	[W1], W2
;list.c,129 :: 		pxNewListItem->pxNext = pxIndex;
	ADD	W11, #4, W0
	MOV	[W1], [W0]
;list.c,130 :: 		pxNewListItem->pxPrevious = pxIndex->pxPrevious;
	ADD	W11, #6, W1
	ADD	W2, #6, W0
	MOV	[W0], [W1]
;list.c,135 :: 		pxIndex->pxPrevious->pxNext = pxNewListItem;
	ADD	W2, #6, W0
	MOV	[W0], W0
	ADD	W0, #4, W0
	MOV	W11, [W0]
;list.c,136 :: 		pxIndex->pxPrevious = pxNewListItem;
	ADD	W2, #6, W0
; pxIndex end address is: 4 (W2)
	MOV	W11, [W0]
;list.c,139 :: 		pxNewListItem->pvContainer = ( void * ) pxList;
	ADD	W11, #10, W0
	MOV	W10, [W0]
;list.c,141 :: 		( pxList->uxNumberOfItems )++;
	MOV	[W10], W0
	INC	W0
	MOV	W0, [W10]
;list.c,142 :: 		}
L_end_vListInsertEnd:
	RETURN
; end of _vListInsertEnd

_vListInsert:

;list.c,145 :: 		void vListInsert( List_t * const pxList, ListItem_t * const pxNewListItem )
;list.c,148 :: 		const TickType_t xValueOfInsertion = pxNewListItem->xItemValue;
	MOV.D	[W11], W2
; xValueOfInsertion start address is: 8 (W4)
	MOV.D	W2, W4
;list.c,164 :: 		if( xValueOfInsertion == portMAX_DELAY )
	MOV	#65535, W0
	MOV	#65535, W1
	CP	W2, W0
	CPB	W3, W1
	BRA Z	L__vListInsert11
	GOTO	L_vListInsert0
L__vListInsert11:
; xValueOfInsertion end address is: 8 (W4)
;list.c,166 :: 		pxIterator = pxList->xListEnd.pxPrevious;
	ADD	W10, #4, W0
	ADD	W0, #6, W0
; pxIterator start address is: 4 (W2)
	MOV	[W0], W2
;list.c,167 :: 		}
; pxIterator end address is: 4 (W2)
	GOTO	L_vListInsert1
L_vListInsert0:
;list.c,192 :: 		for( pxIterator = ( ListItem_t * ) &( pxList->xListEnd ); pxIterator->pxNext->xItemValue <= xValueOfInsertion; pxIterator = pxIterator->pxNext ) /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
; pxIterator start address is: 0 (W0)
; xValueOfInsertion start address is: 8 (W4)
	ADD	W10, #4, W0
	MOV	W4, W3
	MOV	W5, W4
; xValueOfInsertion end address is: 8 (W4)
; pxIterator end address is: 0 (W0)
	MOV	W0, W5
L_vListInsert2:
; pxIterator start address is: 10 (W5)
; xValueOfInsertion start address is: 6 (W3)
	ADD	W5, #4, W0
	MOV	[W0], W2
	MOV.D	[W2], W0
	CP	W0, W3
	CPB	W1, W4
	BRA LEU	L__vListInsert12
	GOTO	L_vListInsert3
L__vListInsert12:
	ADD	W5, #4, W0
	MOV	[W0], W5
;list.c,196 :: 		}
; xValueOfInsertion end address is: 6 (W3)
	GOTO	L_vListInsert2
L_vListInsert3:
;list.c,197 :: 		}
	MOV	W5, W2
L_vListInsert1:
; pxIterator end address is: 10 (W5)
;list.c,199 :: 		pxNewListItem->pxNext = pxIterator->pxNext;
; pxIterator start address is: 4 (W2)
	ADD	W11, #4, W1
	ADD	W2, #4, W0
	MOV	[W0], [W1]
;list.c,200 :: 		pxNewListItem->pxNext->pxPrevious = pxNewListItem;
	ADD	W11, #4, W0
	MOV	[W0], W0
	ADD	W0, #6, W0
	MOV	W11, [W0]
;list.c,201 :: 		pxNewListItem->pxPrevious = pxIterator;
	ADD	W11, #6, W0
	MOV	W2, [W0]
;list.c,202 :: 		pxIterator->pxNext = pxNewListItem;
	ADD	W2, #4, W0
; pxIterator end address is: 4 (W2)
	MOV	W11, [W0]
;list.c,210 :: 		pxNewListItem->pvContainer = ( void * ) pxList;
	ADD	W11, #10, W0
	MOV	W10, [W0]
;list.c,212 :: 		( pxList->uxNumberOfItems )++;
	MOV	[W10], W0
	INC	W0
	MOV	W0, [W10]
;list.c,213 :: 		}
L_end_vListInsert:
	RETURN
; end of _vListInsert

_uxListRemove:

;list.c,216 :: 		UBaseType_t uxListRemove( ListItem_t * const pxItemToRemove )
;list.c,220 :: 		List_t * const pxList = ( List_t * ) pxItemToRemove->pvContainer;
	ADD	W10, #10, W0
; pxList start address is: 4 (W2)
	MOV	[W0], W2
;list.c,222 :: 		pxItemToRemove->pxNext->pxPrevious = pxItemToRemove->pxPrevious;
	ADD	W10, #4, W0
	MOV	[W0], W0
	ADD	W0, #6, W1
	ADD	W10, #6, W0
	MOV	[W0], [W1]
;list.c,223 :: 		pxItemToRemove->pxPrevious->pxNext = pxItemToRemove->pxNext;
	ADD	W10, #6, W0
	MOV	[W0], W0
	ADD	W0, #4, W1
	ADD	W10, #4, W0
	MOV	[W0], [W1]
;list.c,229 :: 		if( pxList->pxIndex == pxItemToRemove )
	ADD	W2, #2, W0
	MOV	[W0], W0
	CP	W0, W10
	BRA Z	L__uxListRemove14
	GOTO	L_uxListRemove5
L__uxListRemove14:
;list.c,231 :: 		pxList->pxIndex = pxItemToRemove->pxPrevious;
	ADD	W2, #2, W1
	ADD	W10, #6, W0
	MOV	[W0], [W1]
;list.c,232 :: 		}
	GOTO	L_uxListRemove6
L_uxListRemove5:
;list.c,236 :: 		}
L_uxListRemove6:
;list.c,238 :: 		pxItemToRemove->pvContainer = NULL;
	ADD	W10, #10, W1
	CLR	W0
	MOV	W0, [W1]
;list.c,239 :: 		( pxList->uxNumberOfItems )--;
	MOV	[W2], W0
	DEC	W0
	MOV	W0, [W2]
;list.c,241 :: 		return pxList->uxNumberOfItems;
	MOV	[W2], W0
; pxList end address is: 4 (W2)
;list.c,242 :: 		}
L_end_uxListRemove:
	RETURN
; end of _uxListRemove
