
_xQueueGenericReset:

;queue.c,279 :: 		BaseType_t xQueueGenericReset( QueueHandle_t xQueue, BaseType_t xNewQueue )
;queue.c,281 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	PUSH	W10
; pxQueue start address is: 12 (W6)
	MOV	W10, W6
;queue.c,283 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueueGenericReset236
	GOTO	L_xQueueGenericReset0
L__xQueueGenericReset236:
; pxQueue end address is: 12 (W6)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericReset1:
	GOTO	L_xQueueGenericReset1
L_xQueueGenericReset0:
;queue.c,285 :: 		taskENTER_CRITICAL();
; pxQueue start address is: 12 (W6)
	PUSH	W6
	PUSH	W11
	CALL	_vPortEnterCritical
	POP	W11
	POP	W6
;queue.c,287 :: 		pxQueue->pcTail = pxQueue->pcHead + ( pxQueue->uxLength * pxQueue->uxItemSize );
	ADD	W6, #2, W3
	MOV	[W6], W2
	MOV	#34, W0
	ADD	W6, W0, W1
	MOV	#36, W0
	ADD	W6, W0, W0
	MOV	[W0], W0
	MUL.UU	W0, [W1], W0
	ADD	W2, W0, [W3]
;queue.c,288 :: 		pxQueue->uxMessagesWaiting = ( UBaseType_t ) 0U;
	MOV	#32, W0
	ADD	W6, W0, W1
	CLR	W0
	MOV	W0, [W1]
;queue.c,289 :: 		pxQueue->pcWriteTo = pxQueue->pcHead;
	ADD	W6, #4, W1
	MOV	[W6], W0
	MOV	W0, [W1]
;queue.c,290 :: 		pxQueue->u.pcReadFrom = pxQueue->pcHead + ( ( pxQueue->uxLength - ( UBaseType_t ) 1U ) * pxQueue->uxItemSize );
	ADD	W6, #6, W5
	MOV	[W6], W4
	MOV	#34, W0
	ADD	W6, W0, W0
	MOV	[W0], W0
	SUB	W0, #1, W3
	MOV	#36, W0
	ADD	W6, W0, W2
	MUL.UU	W3, [W2], W0
	ADD	W4, W0, [W5]
;queue.c,291 :: 		pxQueue->cRxLock = queueUNLOCKED;
	MOV	#38, W0
	ADD	W6, W0, W1
	MOV.B	#255, W0
	MOV.B	W0, [W1]
;queue.c,292 :: 		pxQueue->cTxLock = queueUNLOCKED;
	MOV	#39, W0
	ADD	W6, W0, W1
	MOV.B	#255, W0
	MOV.B	W0, [W1]
;queue.c,294 :: 		if( xNewQueue == pdFALSE )
	CP	W11, #0
	BRA Z	L__xQueueGenericReset237
	GOTO	L_xQueueGenericReset3
L__xQueueGenericReset237:
;queue.c,301 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
	ADD	W6, #8, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGenericReset238
	INC.B	W0
L__xQueueGenericReset238:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReset239
	GOTO	L_xQueueGenericReset4
L__xQueueGenericReset239:
;queue.c,303 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
	ADD	W6, #8, W0
; pxQueue end address is: 12 (W6)
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	CP	W0, #0
	BRA NZ	L__xQueueGenericReset240
	GOTO	L_xQueueGenericReset5
L__xQueueGenericReset240:
;queue.c,305 :: 		queueYIELD_IF_USING_PREEMPTION();
	CALL	_vPortYield
	NOP
;queue.c,306 :: 		}
	GOTO	L_xQueueGenericReset6
L_xQueueGenericReset5:
;queue.c,310 :: 		}
L_xQueueGenericReset6:
;queue.c,311 :: 		}
	GOTO	L_xQueueGenericReset7
L_xQueueGenericReset4:
;queue.c,315 :: 		}
L_xQueueGenericReset7:
;queue.c,316 :: 		}
	GOTO	L_xQueueGenericReset8
L_xQueueGenericReset3:
;queue.c,320 :: 		vListInitialise( &( pxQueue->xTasksWaitingToSend ) );
; pxQueue start address is: 12 (W6)
	ADD	W6, #8, W0
	PUSH	W6
	MOV	W0, W10
	CALL	_vListInitialise
	POP	W6
;queue.c,321 :: 		vListInitialise( &( pxQueue->xTasksWaitingToReceive ) );
	ADD	W6, #20, W0
; pxQueue end address is: 12 (W6)
	MOV	W0, W10
	CALL	_vListInitialise
;queue.c,322 :: 		}
L_xQueueGenericReset8:
;queue.c,324 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;queue.c,328 :: 		return pdPASS;
	MOV	#1, W0
;queue.c,329 :: 		}
;queue.c,328 :: 		return pdPASS;
;queue.c,329 :: 		}
L_end_xQueueGenericReset:
	POP	W10
	RETURN
; end of _xQueueGenericReset

_xQueueGenericCreate:

;queue.c,386 :: 		QueueHandle_t xQueueGenericCreate( const UBaseType_t uxQueueLength, const UBaseType_t uxItemSize, const uint8_t ucQueueType )
;queue.c,392 :: 		configASSERT( uxQueueLength > ( UBaseType_t ) 0 );
	PUSH	W12
	PUSH	W13
	CP	W10, #0
	CLR.B	W0
	BRA LEU	L__xQueueGenericCreate242
	INC.B	W0
L__xQueueGenericCreate242:
	CP.B	W0, #0
	BRA Z	L__xQueueGenericCreate243
	GOTO	L_xQueueGenericCreate9
L__xQueueGenericCreate243:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericCreate10:
	GOTO	L_xQueueGenericCreate10
L_xQueueGenericCreate9:
;queue.c,394 :: 		if( uxItemSize == ( UBaseType_t ) 0 )
	CP	W11, #0
	BRA Z	L__xQueueGenericCreate244
	GOTO	L_xQueueGenericCreate12
L__xQueueGenericCreate244:
;queue.c,397 :: 		xQueueSizeInBytes = ( size_t ) 0;
; xQueueSizeInBytes start address is: 2 (W1)
	CLR	W1
;queue.c,398 :: 		}
; xQueueSizeInBytes end address is: 2 (W1)
	GOTO	L_xQueueGenericCreate13
L_xQueueGenericCreate12:
;queue.c,403 :: 		xQueueSizeInBytes = ( size_t ) ( uxQueueLength * uxItemSize ); /*lint !e961 MISRA exception as the casts are only redundant for some ports. */
	MUL.UU	W10, W11, W0
; xQueueSizeInBytes start address is: 4 (W2)
	MOV	W0, W2
; xQueueSizeInBytes end address is: 4 (W2)
	MOV	W2, W1
;queue.c,404 :: 		}
L_xQueueGenericCreate13:
;queue.c,406 :: 		pxNewQueue = ( Queue_t * ) pvPortMalloc( sizeof( Queue_t ) + xQueueSizeInBytes );
; xQueueSizeInBytes start address is: 2 (W1)
	MOV	#40, W0
	ADD	W0, W1, W0
; xQueueSizeInBytes end address is: 2 (W1)
	PUSH	W12
	PUSH.D	W10
	MOV	W0, W10
	CALL	_pvPortMalloc
	POP.D	W10
	POP	W12
; pxNewQueue start address is: 2 (W1)
	MOV	W0, W1
;queue.c,408 :: 		if( pxNewQueue != NULL )
	CP	W0, #0
	BRA NZ	L__xQueueGenericCreate245
	GOTO	L_xQueueGenericCreate14
L__xQueueGenericCreate245:
;queue.c,412 :: 		pucQueueStorage = ( ( uint8_t * ) pxNewQueue ) + sizeof( Queue_t );
	MOV	#40, W0
	ADD	W1, W0, W0
;queue.c,423 :: 		prvInitialiseNewQueue( uxQueueLength, uxItemSize, pucQueueStorage, ucQueueType, pxNewQueue );
	PUSH	W1
	MOV.B	W12, W13
	MOV	W0, W12
	PUSH	W1
	CALL	queue_prvInitialiseNewQueue
	SUB	#2, W15
	POP	W1
;queue.c,424 :: 		}
L_xQueueGenericCreate14:
;queue.c,426 :: 		return pxNewQueue;
	MOV	W1, W0
; pxNewQueue end address is: 2 (W1)
;queue.c,427 :: 		}
;queue.c,426 :: 		return pxNewQueue;
;queue.c,427 :: 		}
L_end_xQueueGenericCreate:
	POP	W13
	POP	W12
	RETURN
; end of _xQueueGenericCreate

queue_prvInitialiseNewQueue:
	LNK	#0

;queue.c,432 :: 		static void prvInitialiseNewQueue( const UBaseType_t uxQueueLength, const UBaseType_t uxItemSize, uint8_t *pucQueueStorage, const uint8_t ucQueueType, Queue_t *pxNewQueue )
	PUSH	W10
	PUSH	W11
; pxNewQueue start address is: 2 (W1)
	MOV	[W14-8], W1
;queue.c,438 :: 		if( uxItemSize == ( UBaseType_t ) 0 )
	CP	W11, #0
	BRA Z	L_queue_prvInitialiseNewQueue247
	GOTO	L_queue_prvInitialiseNewQueue15
L_queue_prvInitialiseNewQueue247:
;queue.c,444 :: 		pxNewQueue->pcHead = ( int8_t * ) pxNewQueue;
	MOV	W1, [W1]
;queue.c,445 :: 		}
	GOTO	L_queue_prvInitialiseNewQueue16
L_queue_prvInitialiseNewQueue15:
;queue.c,449 :: 		pxNewQueue->pcHead = ( int8_t * ) pucQueueStorage;
	MOV	W12, [W1]
;queue.c,450 :: 		}
L_queue_prvInitialiseNewQueue16:
;queue.c,454 :: 		pxNewQueue->uxLength = uxQueueLength;
	MOV	#34, W0
	ADD	W1, W0, W0
	MOV	W10, [W0]
;queue.c,455 :: 		pxNewQueue->uxItemSize = uxItemSize;
	MOV	#36, W0
	ADD	W1, W0, W0
	MOV	W11, [W0]
;queue.c,456 :: 		( void ) xQueueGenericReset( pxNewQueue, pdTRUE );
	MOV	#1, W11
	MOV	W1, W10
; pxNewQueue end address is: 2 (W1)
	CALL	_xQueueGenericReset
;queue.c,471 :: 		}
L_end_prvInitialiseNewQueue:
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of queue_prvInitialiseNewQueue

queue_prvInitialiseMutex:

;queue.c,476 :: 		static void prvInitialiseMutex( Queue_t *pxNewQueue )
;queue.c,478 :: 		if( pxNewQueue != NULL )
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CP	W10, #0
	BRA NZ	L_queue_prvInitialiseMutex249
	GOTO	L_queue_prvInitialiseMutex17
L_queue_prvInitialiseMutex249:
;queue.c,484 :: 		pxNewQueue->pxMutexHolder = NULL;
	ADD	W10, #2, W1
	CLR	W0
	MOV	W0, [W1]
;queue.c,485 :: 		pxNewQueue->uxQueueType = queueQUEUE_IS_MUTEX;
	CLR	W0
	MOV	W0, [W10]
;queue.c,488 :: 		pxNewQueue->u.uxRecursiveCallCount = 0;
	ADD	W10, #6, W1
	CLR	W0
	MOV	W0, [W1]
;queue.c,493 :: 		( void ) xQueueGenericSend( pxNewQueue, NULL, ( TickType_t ) 0U, queueSEND_TO_BACK );
	CLR	W12
	CLR	W13
	CLR	W11
	CLR	W0
	PUSH	W0
	CALL	_xQueueGenericSend
	SUB	#2, W15
;queue.c,494 :: 		}
	GOTO	L_queue_prvInitialiseMutex18
L_queue_prvInitialiseMutex17:
;queue.c,498 :: 		}
L_queue_prvInitialiseMutex18:
;queue.c,499 :: 		}
L_end_prvInitialiseMutex:
	POP	W13
	POP	W12
	POP	W11
	RETURN
; end of queue_prvInitialiseMutex

_xQueueCreateMutex:
	LNK	#2

;queue.c,506 :: 		QueueHandle_t xQueueCreateMutex( const uint8_t ucQueueType )
;queue.c,511 :: 		pxNewQueue = ( Queue_t * ) xQueueGenericCreate( uxMutexLength, uxMutexSize, ucQueueType );
	PUSH	W10
	PUSH	W11
	PUSH	W12
	MOV.B	W10, W12
	CLR	W11
	MOV	#1, W10
	CALL	_xQueueGenericCreate
	MOV	W0, [W14+0]
;queue.c,512 :: 		prvInitialiseMutex( pxNewQueue );
	MOV	W0, W10
	CALL	queue_prvInitialiseMutex
;queue.c,514 :: 		return pxNewQueue;
	MOV	[W14+0], W0
;queue.c,515 :: 		}
;queue.c,514 :: 		return pxNewQueue;
;queue.c,515 :: 		}
L_end_xQueueCreateMutex:
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _xQueueCreateMutex

_xQueueGenericSend:
	LNK	#14

;queue.c,723 :: 		BaseType_t xQueueGenericSend( QueueHandle_t xQueue, const void * const pvItemToQueue, TickType_t xTicksToWait, const BaseType_t xCopyPosition )
	MOV	[W14-8], W0
	MOV	W0, [W14-8]
	MOV	W12, [W14+10]
	MOV	W13, [W14+12]
;queue.c,725 :: 		BaseType_t xEntryTimeSet = pdFALSE, xYieldRequired;
	MOV	#0, W0
	MOV	W0, [W14+8]
;queue.c,727 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	MOV	W10, [W14+6]
;queue.c,729 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueueGenericSend252
	GOTO	L_xQueueGenericSend19
L__xQueueGenericSend252:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericSend20:
	GOTO	L_xQueueGenericSend20
L_xQueueGenericSend19:
;queue.c,730 :: 		configASSERT( !( ( pvItemToQueue == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
	CP	W11, #0
	BRA Z	L__xQueueGenericSend253
	GOTO	L_xQueueGenericSend23
L__xQueueGenericSend253:
	MOV	#36, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L__xQueueGenericSend254
	GOTO	L_xQueueGenericSend23
L__xQueueGenericSend254:
	MOV.B	#1, W0
	GOTO	L_xQueueGenericSend22
L_xQueueGenericSend23:
	CLR	W0
L_xQueueGenericSend22:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueGenericSend255
	INC.B	W0
L__xQueueGenericSend255:
	CP.B	W0, #0
	BRA Z	L__xQueueGenericSend256
	GOTO	L_xQueueGenericSend24
L__xQueueGenericSend256:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericSend25:
	GOTO	L_xQueueGenericSend25
L_xQueueGenericSend24:
;queue.c,731 :: 		configASSERT( !( ( xCopyPosition == queueOVERWRITE ) && ( pxQueue->uxLength != 1 ) ) );
	MOV	[W14-8], W0
	CP	W0, #2
	BRA Z	L__xQueueGenericSend257
	GOTO	L_xQueueGenericSend28
L__xQueueGenericSend257:
	MOV	#34, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV	[W0], W0
	CP	W0, #1
	BRA NZ	L__xQueueGenericSend258
	GOTO	L_xQueueGenericSend28
L__xQueueGenericSend258:
	MOV.B	#1, W0
	GOTO	L_xQueueGenericSend27
L_xQueueGenericSend28:
	CLR	W0
L_xQueueGenericSend27:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueGenericSend259
	INC.B	W0
L__xQueueGenericSend259:
	CP.B	W0, #0
	BRA Z	L__xQueueGenericSend260
	GOTO	L_xQueueGenericSend29
L__xQueueGenericSend260:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericSend30:
	GOTO	L_xQueueGenericSend30
L_xQueueGenericSend29:
;queue.c,742 :: 		for( ;; )
L_xQueueGenericSend32:
;queue.c,744 :: 		taskENTER_CRITICAL();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortEnterCritical
	POP.D	W10
	POP.D	W12
;queue.c,750 :: 		if( ( pxQueue->uxMessagesWaiting < pxQueue->uxLength ) || ( xCopyPosition == queueOVERWRITE ) )
	MOV	#32, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV	[W0], W2
	MOV	#34, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV	[W0], W0
	CP	W2, W0
	BRA GEU	L__xQueueGenericSend261
	GOTO	L__xQueueGenericSend231
L__xQueueGenericSend261:
	MOV	[W14-8], W0
	CP	W0, #2
	BRA NZ	L__xQueueGenericSend262
	GOTO	L__xQueueGenericSend230
L__xQueueGenericSend262:
	GOTO	L_xQueueGenericSend37
L__xQueueGenericSend231:
L__xQueueGenericSend230:
;queue.c,753 :: 		xYieldRequired = prvCopyDataToQueue( pxQueue, pvItemToQueue, xCopyPosition );
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14-8], W12
	MOV	[W14+6], W10
	CALL	queue_prvCopyDataToQueue
	POP.D	W10
	POP.D	W12
; xYieldRequired start address is: 2 (W1)
	MOV	W0, W1
;queue.c,808 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
	MOV	[W14+6], W0
	ADD	W0, #20, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGenericSend263
	INC.B	W0
L__xQueueGenericSend263:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueGenericSend264
	GOTO	L_xQueueGenericSend38
L__xQueueGenericSend264:
; xYieldRequired end address is: 2 (W1)
;queue.c,810 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
	MOV	[W14+6], W0
	ADD	W0, #20, W0
	PUSH.D	W12
	PUSH.D	W10
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA NZ	L__xQueueGenericSend265
	GOTO	L_xQueueGenericSend39
L__xQueueGenericSend265:
;queue.c,816 :: 		queueYIELD_IF_USING_PREEMPTION();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortYield
	NOP
	POP.D	W10
	POP.D	W12
;queue.c,817 :: 		}
	GOTO	L_xQueueGenericSend40
L_xQueueGenericSend39:
;queue.c,821 :: 		}
L_xQueueGenericSend40:
;queue.c,822 :: 		}
	GOTO	L_xQueueGenericSend41
L_xQueueGenericSend38:
;queue.c,823 :: 		else if( xYieldRequired != pdFALSE )
; xYieldRequired start address is: 2 (W1)
	CP	W1, #0
	BRA NZ	L__xQueueGenericSend266
	GOTO	L_xQueueGenericSend42
L__xQueueGenericSend266:
; xYieldRequired end address is: 2 (W1)
;queue.c,829 :: 		queueYIELD_IF_USING_PREEMPTION();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortYield
	NOP
	POP.D	W10
	POP.D	W12
;queue.c,830 :: 		}
	GOTO	L_xQueueGenericSend43
L_xQueueGenericSend42:
;queue.c,834 :: 		}
L_xQueueGenericSend43:
L_xQueueGenericSend41:
;queue.c,838 :: 		taskEXIT_CRITICAL();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortExitCritical
	POP.D	W10
	POP.D	W12
;queue.c,839 :: 		return pdPASS;
	MOV	#1, W0
	GOTO	L_end_xQueueGenericSend
;queue.c,840 :: 		}
L_xQueueGenericSend37:
;queue.c,843 :: 		if( xTicksToWait == ( TickType_t ) 0 )
	MOV	[W14+10], W0
	MOV	[W14+12], W1
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__xQueueGenericSend267
	GOTO	L_xQueueGenericSend45
L__xQueueGenericSend267:
;queue.c,847 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;queue.c,852 :: 		return errQUEUE_FULL;
	CLR	W0
	GOTO	L_end_xQueueGenericSend
;queue.c,853 :: 		}
L_xQueueGenericSend45:
;queue.c,854 :: 		else if( xEntryTimeSet == pdFALSE )
	MOV	[W14+8], W0
	CP	W0, #0
	BRA Z	L__xQueueGenericSend268
	GOTO	L_xQueueGenericSend47
L__xQueueGenericSend268:
;queue.c,858 :: 		vTaskSetTimeOutState( &xTimeOut );
	ADD	W14, #0, W0
	PUSH.D	W12
	PUSH.D	W10
	MOV	W0, W10
	CALL	_vTaskSetTimeOutState
	POP.D	W10
	POP.D	W12
;queue.c,859 :: 		xEntryTimeSet = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+8]
;queue.c,860 :: 		}
	GOTO	L_xQueueGenericSend48
L_xQueueGenericSend47:
;queue.c,865 :: 		}
L_xQueueGenericSend48:
;queue.c,868 :: 		taskEXIT_CRITICAL();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortExitCritical
;queue.c,873 :: 		vTaskSuspendAll();
	CALL	_vTaskSuspendAll
;queue.c,874 :: 		prvLockQueue( pxQueue );
	CALL	_vPortEnterCritical
	POP.D	W10
	POP.D	W12
	MOV	#38, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV.B	[W0], W1
	MOV.B	#255, W0
	CP.B	W1, W0
	BRA Z	L__xQueueGenericSend269
	GOTO	L_xQueueGenericSend49
L__xQueueGenericSend269:
	MOV	#38, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W1
	CLR	W0
	MOV.B	W0, [W1]
L_xQueueGenericSend49:
	MOV	#39, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV.B	[W0], W1
	MOV.B	#255, W0
	CP.B	W1, W0
	BRA Z	L__xQueueGenericSend270
	GOTO	L_xQueueGenericSend50
L__xQueueGenericSend270:
	MOV	#39, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W1
	CLR	W0
	MOV.B	W0, [W1]
L_xQueueGenericSend50:
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortExitCritical
;queue.c,877 :: 		if( xTaskCheckForTimeOut( &xTimeOut, &xTicksToWait ) == pdFALSE )
	ADD	W14, #10, W1
	ADD	W14, #0, W0
	MOV	W1, W11
	MOV	W0, W10
	CALL	_xTaskCheckForTimeOut
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA Z	L__xQueueGenericSend271
	GOTO	L_xQueueGenericSend51
L__xQueueGenericSend271:
;queue.c,879 :: 		if( prvIsQueueFull( pxQueue ) != pdFALSE )
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+6], W10
	CALL	queue_prvIsQueueFull
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA NZ	L__xQueueGenericSend272
	GOTO	L_xQueueGenericSend52
L__xQueueGenericSend272:
;queue.c,882 :: 		vTaskPlaceOnEventList( &( pxQueue->xTasksWaitingToSend ), xTicksToWait );
	MOV	[W14+6], W0
	ADD	W0, #8, W0
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+10], W11
	MOV	[W14+12], W12
	MOV	W0, W10
	CALL	_vTaskPlaceOnEventList
;queue.c,889 :: 		prvUnlockQueue( pxQueue );
	MOV	[W14+6], W10
	CALL	queue_prvUnlockQueue
;queue.c,896 :: 		if( xTaskResumeAll() == pdFALSE )
	CALL	_xTaskResumeAll
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA Z	L__xQueueGenericSend273
	GOTO	L_xQueueGenericSend53
L__xQueueGenericSend273:
;queue.c,898 :: 		portYIELD_WITHIN_API();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortYield
	NOP
	POP.D	W10
	POP.D	W12
;queue.c,899 :: 		}
L_xQueueGenericSend53:
;queue.c,900 :: 		}
	GOTO	L_xQueueGenericSend54
L_xQueueGenericSend52:
;queue.c,904 :: 		prvUnlockQueue( pxQueue );
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+6], W10
	CALL	queue_prvUnlockQueue
;queue.c,905 :: 		( void ) xTaskResumeAll();
	CALL	_xTaskResumeAll
	POP.D	W10
	POP.D	W12
;queue.c,906 :: 		}
L_xQueueGenericSend54:
;queue.c,907 :: 		}
	GOTO	L_xQueueGenericSend55
L_xQueueGenericSend51:
;queue.c,911 :: 		prvUnlockQueue( pxQueue );
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+6], W10
	CALL	queue_prvUnlockQueue
;queue.c,912 :: 		( void ) xTaskResumeAll();
	CALL	_xTaskResumeAll
	POP.D	W10
	POP.D	W12
;queue.c,915 :: 		return errQUEUE_FULL;
	CLR	W0
	GOTO	L_end_xQueueGenericSend
;queue.c,916 :: 		}
L_xQueueGenericSend55:
;queue.c,917 :: 		}
	GOTO	L_xQueueGenericSend32
;queue.c,918 :: 		}
L_end_xQueueGenericSend:
	ULNK
	RETURN
; end of _xQueueGenericSend

_xQueueGenericSendFromISR:

;queue.c,921 :: 		BaseType_t xQueueGenericSendFromISR( QueueHandle_t xQueue, const void * const pvItemToQueue, BaseType_t * const pxHigherPriorityTaskWoken, const BaseType_t xCopyPosition )
;queue.c,925 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	PUSH	W10
; pxQueue start address is: 4 (W2)
	MOV	W10, W2
;queue.c,927 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueueGenericSendFromISR275
	GOTO	L_xQueueGenericSendFromISR56
L__xQueueGenericSendFromISR275:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericSendFromISR57:
	GOTO	L_xQueueGenericSendFromISR57
L_xQueueGenericSendFromISR56:
;queue.c,928 :: 		configASSERT( !( ( pvItemToQueue == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
; pxQueue start address is: 4 (W2)
	CP	W11, #0
	BRA Z	L__xQueueGenericSendFromISR276
	GOTO	L_xQueueGenericSendFromISR60
L__xQueueGenericSendFromISR276:
	MOV	#36, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L__xQueueGenericSendFromISR277
	GOTO	L_xQueueGenericSendFromISR60
L__xQueueGenericSendFromISR277:
	MOV.B	#1, W0
	GOTO	L_xQueueGenericSendFromISR59
L_xQueueGenericSendFromISR60:
	CLR	W0
L_xQueueGenericSendFromISR59:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueGenericSendFromISR278
	INC.B	W0
L__xQueueGenericSendFromISR278:
	CP.B	W0, #0
	BRA Z	L__xQueueGenericSendFromISR279
	GOTO	L_xQueueGenericSendFromISR61
L__xQueueGenericSendFromISR279:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericSendFromISR62:
	GOTO	L_xQueueGenericSendFromISR62
L_xQueueGenericSendFromISR61:
;queue.c,929 :: 		configASSERT( !( ( xCopyPosition == queueOVERWRITE ) && ( pxQueue->uxLength != 1 ) ) );
; pxQueue start address is: 4 (W2)
	CP	W13, #2
	BRA Z	L__xQueueGenericSendFromISR280
	GOTO	L_xQueueGenericSendFromISR65
L__xQueueGenericSendFromISR280:
	MOV	#34, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
	CP	W0, #1
	BRA NZ	L__xQueueGenericSendFromISR281
	GOTO	L_xQueueGenericSendFromISR65
L__xQueueGenericSendFromISR281:
	MOV.B	#1, W0
	GOTO	L_xQueueGenericSendFromISR64
L_xQueueGenericSendFromISR65:
	CLR	W0
L_xQueueGenericSendFromISR64:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueGenericSendFromISR282
	INC.B	W0
L__xQueueGenericSendFromISR282:
	CP.B	W0, #0
	BRA Z	L__xQueueGenericSendFromISR283
	GOTO	L_xQueueGenericSendFromISR66
L__xQueueGenericSendFromISR283:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericSendFromISR67:
	GOTO	L_xQueueGenericSendFromISR67
L_xQueueGenericSendFromISR66:
;queue.c,954 :: 		if( ( pxQueue->uxMessagesWaiting < pxQueue->uxLength ) || ( xCopyPosition == queueOVERWRITE ) )
; pxQueue start address is: 4 (W2)
	MOV	#32, W0
	ADD	W2, W0, W0
	MOV	[W0], W1
	MOV	#34, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
	CP	W1, W0
	BRA GEU	L__xQueueGenericSendFromISR284
	GOTO	L__xQueueGenericSendFromISR234
L__xQueueGenericSendFromISR284:
	CP	W13, #2
	BRA NZ	L__xQueueGenericSendFromISR285
	GOTO	L__xQueueGenericSendFromISR233
L__xQueueGenericSendFromISR285:
; pxQueue end address is: 4 (W2)
	GOTO	L_xQueueGenericSendFromISR71
L__xQueueGenericSendFromISR234:
; pxQueue start address is: 4 (W2)
L__xQueueGenericSendFromISR233:
;queue.c,956 :: 		const int8_t cTxLock = pxQueue->cTxLock;
	MOV	#39, W0
	ADD	W2, W0, W0
; cTxLock start address is: 6 (W3)
	MOV.B	[W0], W3
;queue.c,965 :: 		( void ) prvCopyDataToQueue( pxQueue, pvItemToQueue, xCopyPosition );
	PUSH.D	W2
	PUSH	W12
	MOV	W13, W12
	MOV	W2, W10
	CALL	queue_prvCopyDataToQueue
	POP	W12
	POP.D	W2
;queue.c,969 :: 		if( cTxLock == queueUNLOCKED )
	MOV.B	#255, W0
	CP.B	W3, W0
	BRA Z	L__xQueueGenericSendFromISR286
	GOTO	L_xQueueGenericSendFromISR72
L__xQueueGenericSendFromISR286:
; cTxLock end address is: 6 (W3)
;queue.c,1024 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
	ADD	W2, #20, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGenericSendFromISR287
	INC.B	W0
L__xQueueGenericSendFromISR287:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueGenericSendFromISR288
	GOTO	L_xQueueGenericSendFromISR73
L__xQueueGenericSendFromISR288:
;queue.c,1026 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
	ADD	W2, #20, W0
; pxQueue end address is: 4 (W2)
	PUSH	W12
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	POP	W12
	CP	W0, #0
	BRA NZ	L__xQueueGenericSendFromISR289
	GOTO	L_xQueueGenericSendFromISR74
L__xQueueGenericSendFromISR289:
;queue.c,1030 :: 		if( pxHigherPriorityTaskWoken != NULL )
	CP	W12, #0
	BRA NZ	L__xQueueGenericSendFromISR290
	GOTO	L_xQueueGenericSendFromISR75
L__xQueueGenericSendFromISR290:
;queue.c,1032 :: 		*pxHigherPriorityTaskWoken = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W12]
;queue.c,1033 :: 		}
	GOTO	L_xQueueGenericSendFromISR76
L_xQueueGenericSendFromISR75:
;queue.c,1037 :: 		}
L_xQueueGenericSendFromISR76:
;queue.c,1038 :: 		}
	GOTO	L_xQueueGenericSendFromISR77
L_xQueueGenericSendFromISR74:
;queue.c,1042 :: 		}
L_xQueueGenericSendFromISR77:
;queue.c,1043 :: 		}
	GOTO	L_xQueueGenericSendFromISR78
L_xQueueGenericSendFromISR73:
;queue.c,1047 :: 		}
L_xQueueGenericSendFromISR78:
;queue.c,1050 :: 		}
	GOTO	L_xQueueGenericSendFromISR79
L_xQueueGenericSendFromISR72:
;queue.c,1055 :: 		pxQueue->cTxLock = ( int8_t ) ( cTxLock + 1 );
; cTxLock start address is: 6 (W3)
; pxQueue start address is: 4 (W2)
	MOV	#39, W0
	ADD	W2, W0, W1
; pxQueue end address is: 4 (W2)
	SE	W3, W0
; cTxLock end address is: 6 (W3)
	INC	W0
	MOV.B	W0, [W1]
;queue.c,1056 :: 		}
L_xQueueGenericSendFromISR79:
;queue.c,1058 :: 		xReturn = pdPASS;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1059 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_xQueueGenericSendFromISR80
L_xQueueGenericSendFromISR71:
;queue.c,1063 :: 		xReturn = errQUEUE_FULL;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1064 :: 		}
L_xQueueGenericSendFromISR80:
;queue.c,1068 :: 		return xReturn;
; xReturn start address is: 2 (W1)
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1069 :: 		}
;queue.c,1068 :: 		return xReturn;
;queue.c,1069 :: 		}
L_end_xQueueGenericSendFromISR:
	POP	W10
	RETURN
; end of _xQueueGenericSendFromISR

_xQueueGiveFromISR:

;queue.c,1072 :: 		BaseType_t xQueueGiveFromISR( QueueHandle_t xQueue, BaseType_t * const pxHigherPriorityTaskWoken )
;queue.c,1076 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	PUSH	W10
; pxQueue start address is: 4 (W2)
	MOV	W10, W2
;queue.c,1084 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueueGiveFromISR292
	GOTO	L_xQueueGiveFromISR81
L__xQueueGiveFromISR292:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGiveFromISR82:
	GOTO	L_xQueueGiveFromISR82
L_xQueueGiveFromISR81:
;queue.c,1088 :: 		configASSERT( pxQueue->uxItemSize == 0 );
; pxQueue start address is: 4 (W2)
	MOV	#36, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGiveFromISR293
	INC.B	W0
L__xQueueGiveFromISR293:
	CP.B	W0, #0
	BRA Z	L__xQueueGiveFromISR294
	GOTO	L_xQueueGiveFromISR84
L__xQueueGiveFromISR294:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGiveFromISR85:
	GOTO	L_xQueueGiveFromISR85
L_xQueueGiveFromISR84:
;queue.c,1093 :: 		configASSERT( !( ( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX ) && ( pxQueue->pxMutexHolder != NULL ) ) );
; pxQueue start address is: 4 (W2)
	MOV	[W2], W0
	CP	W0, #0
	BRA Z	L__xQueueGiveFromISR295
	GOTO	L_xQueueGiveFromISR88
L__xQueueGiveFromISR295:
	ADD	W2, #2, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L__xQueueGiveFromISR296
	GOTO	L_xQueueGiveFromISR88
L__xQueueGiveFromISR296:
	MOV.B	#1, W0
	GOTO	L_xQueueGiveFromISR87
L_xQueueGiveFromISR88:
	CLR	W0
L_xQueueGiveFromISR87:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueGiveFromISR297
	INC.B	W0
L__xQueueGiveFromISR297:
	CP.B	W0, #0
	BRA Z	L__xQueueGiveFromISR298
	GOTO	L_xQueueGiveFromISR89
L__xQueueGiveFromISR298:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGiveFromISR90:
	GOTO	L_xQueueGiveFromISR90
L_xQueueGiveFromISR89:
;queue.c,1113 :: 		const UBaseType_t uxMessagesWaiting = pxQueue->uxMessagesWaiting;
; pxQueue start address is: 4 (W2)
	MOV	#32, W0
	ADD	W2, W0, W0
	MOV	[W0], W1
; uxMessagesWaiting start address is: 6 (W3)
	MOV	W1, W3
;queue.c,1118 :: 		if( uxMessagesWaiting < pxQueue->uxLength )
	MOV	#34, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
	CP	W1, W0
	BRA LTU	L__xQueueGiveFromISR299
	GOTO	L_xQueueGiveFromISR92
L__xQueueGiveFromISR299:
;queue.c,1120 :: 		const int8_t cTxLock = pxQueue->cTxLock;
	MOV	#39, W0
	ADD	W2, W0, W0
; cTxLock start address is: 8 (W4)
	MOV.B	[W0], W4
;queue.c,1130 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting + 1;
	MOV	#32, W0
	ADD	W2, W0, W1
	ADD	W3, #1, W0
; uxMessagesWaiting end address is: 6 (W3)
	MOV	W0, [W1]
;queue.c,1134 :: 		if( cTxLock == queueUNLOCKED )
	MOV.B	#255, W0
	CP.B	W4, W0
	BRA Z	L__xQueueGiveFromISR300
	GOTO	L_xQueueGiveFromISR93
L__xQueueGiveFromISR300:
; cTxLock end address is: 8 (W4)
;queue.c,1189 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
	ADD	W2, #20, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGiveFromISR301
	INC.B	W0
L__xQueueGiveFromISR301:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueGiveFromISR302
	GOTO	L_xQueueGiveFromISR94
L__xQueueGiveFromISR302:
;queue.c,1191 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
	ADD	W2, #20, W0
; pxQueue end address is: 4 (W2)
	PUSH	W11
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	POP	W11
	CP	W0, #0
	BRA NZ	L__xQueueGiveFromISR303
	GOTO	L_xQueueGiveFromISR95
L__xQueueGiveFromISR303:
;queue.c,1195 :: 		if( pxHigherPriorityTaskWoken != NULL )
	CP	W11, #0
	BRA NZ	L__xQueueGiveFromISR304
	GOTO	L_xQueueGiveFromISR96
L__xQueueGiveFromISR304:
;queue.c,1197 :: 		*pxHigherPriorityTaskWoken = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W11]
;queue.c,1198 :: 		}
	GOTO	L_xQueueGiveFromISR97
L_xQueueGiveFromISR96:
;queue.c,1202 :: 		}
L_xQueueGiveFromISR97:
;queue.c,1203 :: 		}
	GOTO	L_xQueueGiveFromISR98
L_xQueueGiveFromISR95:
;queue.c,1207 :: 		}
L_xQueueGiveFromISR98:
;queue.c,1208 :: 		}
	GOTO	L_xQueueGiveFromISR99
L_xQueueGiveFromISR94:
;queue.c,1212 :: 		}
L_xQueueGiveFromISR99:
;queue.c,1215 :: 		}
	GOTO	L_xQueueGiveFromISR100
L_xQueueGiveFromISR93:
;queue.c,1220 :: 		pxQueue->cTxLock = ( int8_t ) ( cTxLock + 1 );
; cTxLock start address is: 8 (W4)
; pxQueue start address is: 4 (W2)
	MOV	#39, W0
	ADD	W2, W0, W1
; pxQueue end address is: 4 (W2)
	SE	W4, W0
; cTxLock end address is: 8 (W4)
	INC	W0
	MOV.B	W0, [W1]
;queue.c,1221 :: 		}
L_xQueueGiveFromISR100:
;queue.c,1223 :: 		xReturn = pdPASS;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1224 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_xQueueGiveFromISR101
L_xQueueGiveFromISR92:
;queue.c,1228 :: 		xReturn = errQUEUE_FULL;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1229 :: 		}
L_xQueueGiveFromISR101:
;queue.c,1233 :: 		return xReturn;
; xReturn start address is: 2 (W1)
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1234 :: 		}
;queue.c,1233 :: 		return xReturn;
;queue.c,1234 :: 		}
L_end_xQueueGiveFromISR:
	POP	W10
	RETURN
; end of _xQueueGiveFromISR

_xQueueGenericReceive:
	LNK	#18

;queue.c,1237 :: 		BaseType_t xQueueGenericReceive( QueueHandle_t xQueue, void * const pvBuffer, TickType_t xTicksToWait, const BaseType_t xJustPeeking )
	PUSH	W10
	MOV	[W14-8], W0
	MOV	W0, [W14-8]
	MOV	W12, [W14+10]
	MOV	W13, [W14+12]
;queue.c,1239 :: 		BaseType_t xEntryTimeSet = pdFALSE;
	MOV	#0, W0
	MOV	W0, [W14+8]
;queue.c,1242 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	MOV	W10, [W14+6]
;queue.c,1244 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueueGenericReceive306
	GOTO	L_xQueueGenericReceive102
L__xQueueGenericReceive306:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericReceive103:
	GOTO	L_xQueueGenericReceive103
L_xQueueGenericReceive102:
;queue.c,1245 :: 		configASSERT( !( ( pvBuffer == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
	CP	W11, #0
	BRA Z	L__xQueueGenericReceive307
	GOTO	L_xQueueGenericReceive106
L__xQueueGenericReceive307:
	MOV	#36, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L__xQueueGenericReceive308
	GOTO	L_xQueueGenericReceive106
L__xQueueGenericReceive308:
	MOV.B	#1, W0
	GOTO	L_xQueueGenericReceive105
L_xQueueGenericReceive106:
	CLR	W0
L_xQueueGenericReceive105:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueGenericReceive309
	INC.B	W0
L__xQueueGenericReceive309:
	CP.B	W0, #0
	BRA Z	L__xQueueGenericReceive310
	GOTO	L_xQueueGenericReceive107
L__xQueueGenericReceive310:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueGenericReceive108:
	GOTO	L_xQueueGenericReceive108
L_xQueueGenericReceive107:
;queue.c,1256 :: 		for( ;; )
L_xQueueGenericReceive110:
;queue.c,1258 :: 		taskENTER_CRITICAL();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortEnterCritical
	POP.D	W10
	POP.D	W12
;queue.c,1260 :: 		const UBaseType_t uxMessagesWaiting = pxQueue->uxMessagesWaiting;
	MOV	#32, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV	[W0], W0
; uxMessagesWaiting start address is: 8 (W4)
	MOV	W0, W4
;queue.c,1264 :: 		if( uxMessagesWaiting > ( UBaseType_t ) 0 )
	CP	W0, #0
	BRA GTU	L__xQueueGenericReceive311
	GOTO	L_xQueueGenericReceive113
L__xQueueGenericReceive311:
;queue.c,1268 :: 		pcOriginalReadPosition = pxQueue->u.pcReadFrom;
	MOV	[W14+6], W0
	ADD	W0, #6, W0
	MOV	[W0], W0
; pcOriginalReadPosition start address is: 10 (W5)
	MOV	W0, W5
;queue.c,1270 :: 		prvCopyDataFromQueue( pxQueue, pvBuffer );
	MOV	[W14+6], W10
	CALL	queue_prvCopyDataFromQueue
;queue.c,1272 :: 		if( xJustPeeking == pdFALSE )
	MOV	[W14-8], W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive312
	GOTO	L_xQueueGenericReceive114
L__xQueueGenericReceive312:
; pcOriginalReadPosition end address is: 10 (W5)
;queue.c,1277 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting - 1;
	MOV	#32, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W1
	SUB	W4, #1, W0
; uxMessagesWaiting end address is: 8 (W4)
	MOV	W0, [W1]
;queue.c,1281 :: 		if( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX )
	MOV	[W14+6], W0
	MOV	[W0], W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive313
	GOTO	L_xQueueGenericReceive115
L__xQueueGenericReceive313:
;queue.c,1285 :: 		pxQueue->pxMutexHolder = ( int8_t * ) pvTaskIncrementMutexHeldCount(); /*lint !e961 Cast is not redundant as TaskHandle_t is a typedef. */
	MOV	[W14+6], W0
	INC2	W0
	MOV	W0, [W14+16]
	CALL	_pvTaskIncrementMutexHeldCount
	MOV	[W14+16], W1
	MOV	W0, [W1]
;queue.c,1286 :: 		}
	GOTO	L_xQueueGenericReceive116
L_xQueueGenericReceive115:
;queue.c,1290 :: 		}
L_xQueueGenericReceive116:
;queue.c,1294 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
	MOV	[W14+6], W0
	ADD	W0, #8, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGenericReceive314
	INC.B	W0
L__xQueueGenericReceive314:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive315
	GOTO	L_xQueueGenericReceive117
L__xQueueGenericReceive315:
;queue.c,1296 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
	MOV	[W14+6], W0
	ADD	W0, #8, W0
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	CP	W0, #0
	BRA NZ	L__xQueueGenericReceive316
	GOTO	L_xQueueGenericReceive118
L__xQueueGenericReceive316:
;queue.c,1298 :: 		queueYIELD_IF_USING_PREEMPTION();
	CALL	_vPortYield
	NOP
;queue.c,1299 :: 		}
	GOTO	L_xQueueGenericReceive119
L_xQueueGenericReceive118:
;queue.c,1303 :: 		}
L_xQueueGenericReceive119:
;queue.c,1304 :: 		}
	GOTO	L_xQueueGenericReceive120
L_xQueueGenericReceive117:
;queue.c,1308 :: 		}
L_xQueueGenericReceive120:
;queue.c,1309 :: 		}
	GOTO	L_xQueueGenericReceive121
L_xQueueGenericReceive114:
;queue.c,1316 :: 		pxQueue->u.pcReadFrom = pcOriginalReadPosition;
; pcOriginalReadPosition start address is: 10 (W5)
	MOV	[W14+6], W0
	ADD	W0, #6, W0
	MOV	W5, [W0]
; pcOriginalReadPosition end address is: 10 (W5)
;queue.c,1320 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
	MOV	[W14+6], W0
	ADD	W0, #20, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueGenericReceive317
	INC.B	W0
L__xQueueGenericReceive317:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive318
	GOTO	L_xQueueGenericReceive122
L__xQueueGenericReceive318:
;queue.c,1322 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
	MOV	[W14+6], W0
	ADD	W0, #20, W0
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	CP	W0, #0
	BRA NZ	L__xQueueGenericReceive319
	GOTO	L_xQueueGenericReceive123
L__xQueueGenericReceive319:
;queue.c,1325 :: 		queueYIELD_IF_USING_PREEMPTION();
	CALL	_vPortYield
	NOP
;queue.c,1326 :: 		}
	GOTO	L_xQueueGenericReceive124
L_xQueueGenericReceive123:
;queue.c,1330 :: 		}
L_xQueueGenericReceive124:
;queue.c,1331 :: 		}
	GOTO	L_xQueueGenericReceive125
L_xQueueGenericReceive122:
;queue.c,1335 :: 		}
L_xQueueGenericReceive125:
;queue.c,1336 :: 		}
L_xQueueGenericReceive121:
;queue.c,1338 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;queue.c,1339 :: 		return pdPASS;
	MOV	#1, W0
	GOTO	L_end_xQueueGenericReceive
;queue.c,1340 :: 		}
L_xQueueGenericReceive113:
;queue.c,1343 :: 		if( xTicksToWait == ( TickType_t ) 0 )
	MOV	[W14+10], W0
	MOV	[W14+12], W1
	CP	W0, #0
	CPB	W1, #0
	BRA Z	L__xQueueGenericReceive320
	GOTO	L_xQueueGenericReceive127
L__xQueueGenericReceive320:
;queue.c,1347 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;queue.c,1349 :: 		return errQUEUE_EMPTY;
	CLR	W0
	GOTO	L_end_xQueueGenericReceive
;queue.c,1350 :: 		}
L_xQueueGenericReceive127:
;queue.c,1351 :: 		else if( xEntryTimeSet == pdFALSE )
	MOV	[W14+8], W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive321
	GOTO	L_xQueueGenericReceive129
L__xQueueGenericReceive321:
;queue.c,1355 :: 		vTaskSetTimeOutState( &xTimeOut );
	ADD	W14, #0, W0
	PUSH.D	W12
	PUSH.D	W10
	MOV	W0, W10
	CALL	_vTaskSetTimeOutState
	POP.D	W10
	POP.D	W12
;queue.c,1356 :: 		xEntryTimeSet = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+8]
;queue.c,1357 :: 		}
	GOTO	L_xQueueGenericReceive130
L_xQueueGenericReceive129:
;queue.c,1362 :: 		}
L_xQueueGenericReceive130:
;queue.c,1365 :: 		taskEXIT_CRITICAL();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortExitCritical
;queue.c,1370 :: 		vTaskSuspendAll();
	CALL	_vTaskSuspendAll
;queue.c,1371 :: 		prvLockQueue( pxQueue );
	CALL	_vPortEnterCritical
	POP.D	W10
	POP.D	W12
	MOV	#38, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV.B	[W0], W1
	MOV.B	#255, W0
	CP.B	W1, W0
	BRA Z	L__xQueueGenericReceive322
	GOTO	L_xQueueGenericReceive131
L__xQueueGenericReceive322:
	MOV	#38, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W1
	CLR	W0
	MOV.B	W0, [W1]
L_xQueueGenericReceive131:
	MOV	#39, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W0
	MOV.B	[W0], W1
	MOV.B	#255, W0
	CP.B	W1, W0
	BRA Z	L__xQueueGenericReceive323
	GOTO	L_xQueueGenericReceive132
L__xQueueGenericReceive323:
	MOV	#39, W1
	ADD	W14, #6, W0
	ADD	W1, [W0], W1
	CLR	W0
	MOV.B	W0, [W1]
L_xQueueGenericReceive132:
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortExitCritical
;queue.c,1374 :: 		if( xTaskCheckForTimeOut( &xTimeOut, &xTicksToWait ) == pdFALSE )
	ADD	W14, #10, W1
	ADD	W14, #0, W0
	MOV	W1, W11
	MOV	W0, W10
	CALL	_xTaskCheckForTimeOut
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive324
	GOTO	L_xQueueGenericReceive133
L__xQueueGenericReceive324:
;queue.c,1376 :: 		if( prvIsQueueEmpty( pxQueue ) != pdFALSE )
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+6], W10
	CALL	queue_prvIsQueueEmpty
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA NZ	L__xQueueGenericReceive325
	GOTO	L_xQueueGenericReceive134
L__xQueueGenericReceive325:
;queue.c,1382 :: 		if( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX )
	MOV	[W14+6], W0
	MOV	[W0], W0
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive326
	GOTO	L_xQueueGenericReceive135
L__xQueueGenericReceive326:
;queue.c,1384 :: 		taskENTER_CRITICAL();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortEnterCritical
;queue.c,1386 :: 		vTaskPriorityInherit( ( void * ) pxQueue->pxMutexHolder );
	MOV	[W14+6], W0
	INC2	W0
	MOV	[W0], W10
	CALL	_vTaskPriorityInherit
;queue.c,1388 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
	POP.D	W10
	POP.D	W12
;queue.c,1389 :: 		}
	GOTO	L_xQueueGenericReceive136
L_xQueueGenericReceive135:
;queue.c,1393 :: 		}
L_xQueueGenericReceive136:
;queue.c,1397 :: 		vTaskPlaceOnEventList( &( pxQueue->xTasksWaitingToReceive ), xTicksToWait );
	MOV	[W14+6], W0
	ADD	W0, #20, W0
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+10], W11
	MOV	[W14+12], W12
	MOV	W0, W10
	CALL	_vTaskPlaceOnEventList
;queue.c,1398 :: 		prvUnlockQueue( pxQueue );
	MOV	[W14+6], W10
	CALL	queue_prvUnlockQueue
;queue.c,1399 :: 		if( xTaskResumeAll() == pdFALSE )
	CALL	_xTaskResumeAll
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA Z	L__xQueueGenericReceive327
	GOTO	L_xQueueGenericReceive137
L__xQueueGenericReceive327:
;queue.c,1401 :: 		portYIELD_WITHIN_API();
	PUSH.D	W12
	PUSH.D	W10
	CALL	_vPortYield
	NOP
	POP.D	W10
	POP.D	W12
;queue.c,1402 :: 		}
	GOTO	L_xQueueGenericReceive138
L_xQueueGenericReceive137:
;queue.c,1406 :: 		}
L_xQueueGenericReceive138:
;queue.c,1407 :: 		}
	GOTO	L_xQueueGenericReceive139
L_xQueueGenericReceive134:
;queue.c,1411 :: 		prvUnlockQueue( pxQueue );
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+6], W10
	CALL	queue_prvUnlockQueue
;queue.c,1412 :: 		( void ) xTaskResumeAll();
	CALL	_xTaskResumeAll
	POP.D	W10
	POP.D	W12
;queue.c,1413 :: 		}
L_xQueueGenericReceive139:
;queue.c,1414 :: 		}
	GOTO	L_xQueueGenericReceive140
L_xQueueGenericReceive133:
;queue.c,1417 :: 		prvUnlockQueue( pxQueue );
	PUSH.D	W12
	PUSH.D	W10
	MOV	[W14+6], W10
	CALL	queue_prvUnlockQueue
;queue.c,1418 :: 		( void ) xTaskResumeAll();
	CALL	_xTaskResumeAll
;queue.c,1420 :: 		if( prvIsQueueEmpty( pxQueue ) != pdFALSE )
	MOV	[W14+6], W10
	CALL	queue_prvIsQueueEmpty
	POP.D	W10
	POP.D	W12
	CP	W0, #0
	BRA NZ	L__xQueueGenericReceive328
	GOTO	L_xQueueGenericReceive141
L__xQueueGenericReceive328:
;queue.c,1423 :: 		return errQUEUE_EMPTY;
	CLR	W0
	GOTO	L_end_xQueueGenericReceive
;queue.c,1424 :: 		}
L_xQueueGenericReceive141:
;queue.c,1429 :: 		}
L_xQueueGenericReceive140:
;queue.c,1430 :: 		}
	GOTO	L_xQueueGenericReceive110
;queue.c,1431 :: 		}
L_end_xQueueGenericReceive:
	POP	W10
	ULNK
	RETURN
; end of _xQueueGenericReceive

_xQueueReceiveFromISR:

;queue.c,1434 :: 		BaseType_t xQueueReceiveFromISR( QueueHandle_t xQueue, void * const pvBuffer, BaseType_t * const pxHigherPriorityTaskWoken )
;queue.c,1438 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	PUSH	W10
; pxQueue start address is: 4 (W2)
	MOV	W10, W2
;queue.c,1440 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueueReceiveFromISR330
	GOTO	L_xQueueReceiveFromISR143
L__xQueueReceiveFromISR330:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueReceiveFromISR144:
	GOTO	L_xQueueReceiveFromISR144
L_xQueueReceiveFromISR143:
;queue.c,1441 :: 		configASSERT( !( ( pvBuffer == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
; pxQueue start address is: 4 (W2)
	CP	W11, #0
	BRA Z	L__xQueueReceiveFromISR331
	GOTO	L_xQueueReceiveFromISR147
L__xQueueReceiveFromISR331:
	MOV	#36, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L__xQueueReceiveFromISR332
	GOTO	L_xQueueReceiveFromISR147
L__xQueueReceiveFromISR332:
	MOV.B	#1, W0
	GOTO	L_xQueueReceiveFromISR146
L_xQueueReceiveFromISR147:
	CLR	W0
L_xQueueReceiveFromISR146:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueueReceiveFromISR333
	INC.B	W0
L__xQueueReceiveFromISR333:
	CP.B	W0, #0
	BRA Z	L__xQueueReceiveFromISR334
	GOTO	L_xQueueReceiveFromISR148
L__xQueueReceiveFromISR334:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueReceiveFromISR149:
	GOTO	L_xQueueReceiveFromISR149
L_xQueueReceiveFromISR148:
;queue.c,1461 :: 		const UBaseType_t uxMessagesWaiting = pxQueue->uxMessagesWaiting;
; pxQueue start address is: 4 (W2)
	MOV	#32, W0
	ADD	W2, W0, W0
	MOV	[W0], W0
; uxMessagesWaiting start address is: 8 (W4)
	MOV	W0, W4
;queue.c,1464 :: 		if( uxMessagesWaiting > ( UBaseType_t ) 0 )
	CP	W0, #0
	BRA GTU	L__xQueueReceiveFromISR335
	GOTO	L_xQueueReceiveFromISR151
L__xQueueReceiveFromISR335:
;queue.c,1466 :: 		const int8_t cRxLock = pxQueue->cRxLock;
	MOV	#38, W0
	ADD	W2, W0, W0
; cRxLock start address is: 10 (W5)
	MOV.B	[W0], W5
;queue.c,1470 :: 		prvCopyDataFromQueue( pxQueue, pvBuffer );
	PUSH	W2
	PUSH	W12
	MOV	W2, W10
	CALL	queue_prvCopyDataFromQueue
	POP	W12
	POP	W2
;queue.c,1471 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting - 1;
	MOV	#32, W0
	ADD	W2, W0, W1
	SUB	W4, #1, W0
; uxMessagesWaiting end address is: 8 (W4)
	MOV	W0, [W1]
;queue.c,1477 :: 		if( cRxLock == queueUNLOCKED )
	MOV.B	#255, W0
	CP.B	W5, W0
	BRA Z	L__xQueueReceiveFromISR336
	GOTO	L_xQueueReceiveFromISR152
L__xQueueReceiveFromISR336:
; cRxLock end address is: 10 (W5)
;queue.c,1479 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
	ADD	W2, #8, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L__xQueueReceiveFromISR337
	INC.B	W0
L__xQueueReceiveFromISR337:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L__xQueueReceiveFromISR338
	GOTO	L_xQueueReceiveFromISR153
L__xQueueReceiveFromISR338:
;queue.c,1481 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
	ADD	W2, #8, W0
; pxQueue end address is: 4 (W2)
	PUSH	W12
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	POP	W12
	CP	W0, #0
	BRA NZ	L__xQueueReceiveFromISR339
	GOTO	L_xQueueReceiveFromISR154
L__xQueueReceiveFromISR339:
;queue.c,1485 :: 		if( pxHigherPriorityTaskWoken != NULL )
	CP	W12, #0
	BRA NZ	L__xQueueReceiveFromISR340
	GOTO	L_xQueueReceiveFromISR155
L__xQueueReceiveFromISR340:
;queue.c,1487 :: 		*pxHigherPriorityTaskWoken = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W12]
;queue.c,1488 :: 		}
	GOTO	L_xQueueReceiveFromISR156
L_xQueueReceiveFromISR155:
;queue.c,1492 :: 		}
L_xQueueReceiveFromISR156:
;queue.c,1493 :: 		}
	GOTO	L_xQueueReceiveFromISR157
L_xQueueReceiveFromISR154:
;queue.c,1497 :: 		}
L_xQueueReceiveFromISR157:
;queue.c,1498 :: 		}
	GOTO	L_xQueueReceiveFromISR158
L_xQueueReceiveFromISR153:
;queue.c,1502 :: 		}
L_xQueueReceiveFromISR158:
;queue.c,1503 :: 		}
	GOTO	L_xQueueReceiveFromISR159
L_xQueueReceiveFromISR152:
;queue.c,1508 :: 		pxQueue->cRxLock = ( int8_t ) ( cRxLock + 1 );
; cRxLock start address is: 10 (W5)
; pxQueue start address is: 4 (W2)
	MOV	#38, W0
	ADD	W2, W0, W1
; pxQueue end address is: 4 (W2)
	SE	W5, W0
; cRxLock end address is: 10 (W5)
	INC	W0
	MOV.B	W0, [W1]
;queue.c,1509 :: 		}
L_xQueueReceiveFromISR159:
;queue.c,1511 :: 		xReturn = pdPASS;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1512 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_xQueueReceiveFromISR160
L_xQueueReceiveFromISR151:
;queue.c,1515 :: 		xReturn = pdFAIL;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1517 :: 		}
L_xQueueReceiveFromISR160:
;queue.c,1521 :: 		return xReturn;
; xReturn start address is: 2 (W1)
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1522 :: 		}
;queue.c,1521 :: 		return xReturn;
;queue.c,1522 :: 		}
L_end_xQueueReceiveFromISR:
	POP	W10
	RETURN
; end of _xQueueReceiveFromISR

_xQueuePeekFromISR:

;queue.c,1525 :: 		BaseType_t xQueuePeekFromISR( QueueHandle_t xQueue,  void * const pvBuffer )
;queue.c,1530 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	PUSH	W10
; pxQueue start address is: 8 (W4)
	MOV	W10, W4
;queue.c,1532 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__xQueuePeekFromISR342
	GOTO	L_xQueuePeekFromISR161
L__xQueuePeekFromISR342:
; pxQueue end address is: 8 (W4)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueuePeekFromISR162:
	GOTO	L_xQueuePeekFromISR162
L_xQueuePeekFromISR161:
;queue.c,1533 :: 		configASSERT( !( ( pvBuffer == NULL ) && ( pxQueue->uxItemSize != ( UBaseType_t ) 0U ) ) );
; pxQueue start address is: 8 (W4)
	CP	W11, #0
	BRA Z	L__xQueuePeekFromISR343
	GOTO	L_xQueuePeekFromISR165
L__xQueuePeekFromISR343:
	MOV	#36, W0
	ADD	W4, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L__xQueuePeekFromISR344
	GOTO	L_xQueuePeekFromISR165
L__xQueuePeekFromISR344:
	MOV.B	#1, W0
	GOTO	L_xQueuePeekFromISR164
L_xQueuePeekFromISR165:
	CLR	W0
L_xQueuePeekFromISR164:
	CP0.B	W0
	CLR.B	W0
	BRA NZ	L__xQueuePeekFromISR345
	INC.B	W0
L__xQueuePeekFromISR345:
	CP.B	W0, #0
	BRA Z	L__xQueuePeekFromISR346
	GOTO	L_xQueuePeekFromISR166
L__xQueuePeekFromISR346:
; pxQueue end address is: 8 (W4)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueuePeekFromISR167:
	GOTO	L_xQueuePeekFromISR167
L_xQueuePeekFromISR166:
;queue.c,1534 :: 		configASSERT( pxQueue->uxItemSize != 0 ); /* Can't peek a semaphore. */
; pxQueue start address is: 8 (W4)
	MOV	#36, W0
	ADD	W4, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA Z	L__xQueuePeekFromISR347
	INC.B	W0
L__xQueuePeekFromISR347:
	CP.B	W0, #0
	BRA Z	L__xQueuePeekFromISR348
	GOTO	L_xQueuePeekFromISR169
L__xQueuePeekFromISR348:
; pxQueue end address is: 8 (W4)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueuePeekFromISR170:
	GOTO	L_xQueuePeekFromISR170
L_xQueuePeekFromISR169:
;queue.c,1555 :: 		if( pxQueue->uxMessagesWaiting > ( UBaseType_t ) 0 )
; pxQueue start address is: 8 (W4)
	MOV	#32, W0
	ADD	W4, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA GTU	L__xQueuePeekFromISR349
	GOTO	L_xQueuePeekFromISR172
L__xQueuePeekFromISR349:
;queue.c,1561 :: 		pcOriginalReadPosition = pxQueue->u.pcReadFrom;
	ADD	W4, #6, W0
	MOV	[W0], W0
; pcOriginalReadPosition start address is: 10 (W5)
	MOV	W0, W5
;queue.c,1562 :: 		prvCopyDataFromQueue( pxQueue, pvBuffer );
	MOV	W4, W10
	CALL	queue_prvCopyDataFromQueue
;queue.c,1563 :: 		pxQueue->u.pcReadFrom = pcOriginalReadPosition;
	ADD	W4, #6, W0
; pxQueue end address is: 8 (W4)
	MOV	W5, [W0]
; pcOriginalReadPosition end address is: 10 (W5)
;queue.c,1565 :: 		xReturn = pdPASS;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1566 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_xQueuePeekFromISR173
L_xQueuePeekFromISR172:
;queue.c,1569 :: 		xReturn = pdFAIL;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1571 :: 		}
L_xQueuePeekFromISR173:
;queue.c,1575 :: 		return xReturn;
; xReturn start address is: 2 (W1)
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1576 :: 		}
;queue.c,1575 :: 		return xReturn;
;queue.c,1576 :: 		}
L_end_xQueuePeekFromISR:
	POP	W10
	RETURN
; end of _xQueuePeekFromISR

_uxQueueMessagesWaiting:

;queue.c,1579 :: 		UBaseType_t uxQueueMessagesWaiting( const QueueHandle_t xQueue )
;queue.c,1583 :: 		configASSERT( xQueue );
	CP	W10, #0
	BRA Z	L__uxQueueMessagesWaiting351
	GOTO	L_uxQueueMessagesWaiting174
L__uxQueueMessagesWaiting351:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_uxQueueMessagesWaiting175:
	GOTO	L_uxQueueMessagesWaiting175
L_uxQueueMessagesWaiting174:
;queue.c,1585 :: 		taskENTER_CRITICAL();
	PUSH	W10
	CALL	_vPortEnterCritical
	POP	W10
;queue.c,1587 :: 		uxReturn = ( ( Queue_t * ) xQueue )->uxMessagesWaiting;
	MOV	#32, W0
	ADD	W10, W0, W0
; uxReturn start address is: 2 (W1)
	MOV	[W0], W1
;queue.c,1589 :: 		taskEXIT_CRITICAL();
	PUSH	W1
	CALL	_vPortExitCritical
	POP	W1
;queue.c,1591 :: 		return uxReturn;
	MOV	W1, W0
; uxReturn end address is: 2 (W1)
;queue.c,1592 :: 		} /*lint !e818 Pointer cannot be declared const as xQueue is a typedef not pointer. */
L_end_uxQueueMessagesWaiting:
	RETURN
; end of _uxQueueMessagesWaiting

_uxQueueSpacesAvailable:

;queue.c,1595 :: 		UBaseType_t uxQueueSpacesAvailable( const QueueHandle_t xQueue )
;queue.c,1600 :: 		pxQueue = ( Queue_t * ) xQueue;
; pxQueue start address is: 4 (W2)
	MOV	W10, W2
;queue.c,1601 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__uxQueueSpacesAvailable353
	GOTO	L_uxQueueSpacesAvailable177
L__uxQueueSpacesAvailable353:
; pxQueue end address is: 4 (W2)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_uxQueueSpacesAvailable178:
	GOTO	L_uxQueueSpacesAvailable178
L_uxQueueSpacesAvailable177:
;queue.c,1603 :: 		taskENTER_CRITICAL();
; pxQueue start address is: 4 (W2)
	PUSH	W2
	CALL	_vPortEnterCritical
	POP	W2
;queue.c,1605 :: 		uxReturn = pxQueue->uxLength - pxQueue->uxMessagesWaiting;
	MOV	#34, W0
	ADD	W2, W0, W1
	MOV	#32, W0
	ADD	W2, W0, W0
; pxQueue end address is: 4 (W2)
	MOV	[W0], W0
; uxReturn start address is: 2 (W1)
	SUBR	W0, [W1], W1
;queue.c,1607 :: 		taskEXIT_CRITICAL();
	PUSH	W1
	CALL	_vPortExitCritical
	POP	W1
;queue.c,1609 :: 		return uxReturn;
	MOV	W1, W0
; uxReturn end address is: 2 (W1)
;queue.c,1610 :: 		} /*lint !e818 Pointer cannot be declared const as xQueue is a typedef not pointer. */
L_end_uxQueueSpacesAvailable:
	RETURN
; end of _uxQueueSpacesAvailable

_uxQueueMessagesWaitingFromISR:

;queue.c,1613 :: 		UBaseType_t uxQueueMessagesWaitingFromISR( const QueueHandle_t xQueue )
;queue.c,1617 :: 		configASSERT( xQueue );
	CP	W10, #0
	BRA Z	L__uxQueueMessagesWaitingFromISR355
	GOTO	L_uxQueueMessagesWaitingFromISR180
L__uxQueueMessagesWaitingFromISR355:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_uxQueueMessagesWaitingFromISR181:
	GOTO	L_uxQueueMessagesWaitingFromISR181
L_uxQueueMessagesWaitingFromISR180:
;queue.c,1619 :: 		uxReturn = ( ( Queue_t * ) xQueue )->uxMessagesWaiting;
	MOV	#32, W0
	ADD	W10, W0, W0
;queue.c,1621 :: 		return uxReturn;
	MOV	[W0], W0
;queue.c,1622 :: 		} /*lint !e818 Pointer cannot be declared const as xQueue is a typedef not pointer. */
L_end_uxQueueMessagesWaitingFromISR:
	RETURN
; end of _uxQueueMessagesWaitingFromISR

_vQueueDelete:

;queue.c,1625 :: 		void vQueueDelete( QueueHandle_t xQueue )
;queue.c,1627 :: 		Queue_t * const pxQueue = ( Queue_t * ) xQueue;
	PUSH	W10
; pxQueue start address is: 0 (W0)
	MOV	W10, W0
;queue.c,1629 :: 		configASSERT( pxQueue );
	CP	W10, #0
	BRA Z	L__vQueueDelete357
	GOTO	L_vQueueDelete183
L__vQueueDelete357:
; pxQueue end address is: 0 (W0)
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_vQueueDelete184:
	GOTO	L_vQueueDelete184
L_vQueueDelete183:
;queue.c,1642 :: 		vPortFree( pxQueue );
; pxQueue start address is: 0 (W0)
	MOV	W0, W10
; pxQueue end address is: 0 (W0)
	CALL	_vPortFree
;queue.c,1664 :: 		}
L_end_vQueueDelete:
	POP	W10
	RETURN
; end of _vQueueDelete

queue_prvCopyDataToQueue:
	LNK	#4

;queue.c,1697 :: 		static BaseType_t prvCopyDataToQueue( Queue_t * const pxQueue, const void *pvItemToQueue, const BaseType_t xPosition )
;queue.c,1699 :: 		BaseType_t xReturn = pdFALSE;
	PUSH	W12
	MOV	#0, W0
	MOV	W0, [W14+2]
;queue.c,1704 :: 		uxMessagesWaiting = pxQueue->uxMessagesWaiting;
	MOV	#32, W0
	ADD	W10, W0, W0
	MOV	[W0], W0
	MOV	W0, [W14+0]
;queue.c,1706 :: 		if( pxQueue->uxItemSize == ( UBaseType_t ) 0 )
	MOV	#36, W0
	ADD	W10, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA Z	L_queue_prvCopyDataToQueue359
	GOTO	L_queue_prvCopyDataToQueue186
L_queue_prvCopyDataToQueue359:
;queue.c,1710 :: 		if( pxQueue->uxQueueType == queueQUEUE_IS_MUTEX )
	MOV	[W10], W0
	CP	W0, #0
	BRA Z	L_queue_prvCopyDataToQueue360
	GOTO	L_queue_prvCopyDataToQueue187
L_queue_prvCopyDataToQueue360:
;queue.c,1713 :: 		xReturn = xTaskPriorityDisinherit( ( void * ) pxQueue->pxMutexHolder );
	ADD	W10, #2, W0
	PUSH	W10
	MOV	[W0], W10
	CALL	_xTaskPriorityDisinherit
	POP	W10
	MOV	W0, [W14+2]
;queue.c,1714 :: 		pxQueue->pxMutexHolder = NULL;
	ADD	W10, #2, W1
	CLR	W0
	MOV	W0, [W1]
;queue.c,1715 :: 		}
	GOTO	L_queue_prvCopyDataToQueue188
L_queue_prvCopyDataToQueue187:
;queue.c,1719 :: 		}
L_queue_prvCopyDataToQueue188:
;queue.c,1722 :: 		}
	GOTO	L_queue_prvCopyDataToQueue189
L_queue_prvCopyDataToQueue186:
;queue.c,1723 :: 		else if( xPosition == queueSEND_TO_BACK )
	CP	W12, #0
	BRA Z	L_queue_prvCopyDataToQueue361
	GOTO	L_queue_prvCopyDataToQueue190
L_queue_prvCopyDataToQueue361:
;queue.c,1725 :: 		( void ) memcpy( ( void * ) pxQueue->pcWriteTo, pvItemToQueue, ( size_t ) pxQueue->uxItemSize ); /*lint !e961 !e418 MISRA exception as the casts are only redundant for some ports, plus previous logic ensures a null pointer can only be passed to memcpy() if the copy size is 0. */
	MOV	#36, W0
	ADD	W10, W0, W1
	ADD	W10, #4, W0
	PUSH	W10
	MOV	[W1], W12
	MOV	[W0], W10
	CALL	_memcpy
	POP	W10
;queue.c,1726 :: 		pxQueue->pcWriteTo += pxQueue->uxItemSize;
	ADD	W10, #4, W2
	MOV	#36, W0
	ADD	W10, W0, W1
	MOV	[W2], W0
	ADD	W0, [W1], [W2]
;queue.c,1727 :: 		if( pxQueue->pcWriteTo >= pxQueue->pcTail ) /*lint !e946 MISRA exception justified as comparison of pointers is the cleanest solution. */
	ADD	W10, #4, W0
	MOV	[W0], W1
	ADD	W10, #2, W0
	MOV	[W0], W0
	CP	W1, W0
	BRA GEU	L_queue_prvCopyDataToQueue362
	GOTO	L_queue_prvCopyDataToQueue191
L_queue_prvCopyDataToQueue362:
;queue.c,1729 :: 		pxQueue->pcWriteTo = pxQueue->pcHead;
	ADD	W10, #4, W1
	MOV	[W10], W0
	MOV	W0, [W1]
;queue.c,1730 :: 		}
	GOTO	L_queue_prvCopyDataToQueue192
L_queue_prvCopyDataToQueue191:
;queue.c,1734 :: 		}
L_queue_prvCopyDataToQueue192:
;queue.c,1735 :: 		}
	GOTO	L_queue_prvCopyDataToQueue193
L_queue_prvCopyDataToQueue190:
;queue.c,1738 :: 		( void ) memcpy( ( void * ) pxQueue->u.pcReadFrom, pvItemToQueue, ( size_t ) pxQueue->uxItemSize ); /*lint !e961 MISRA exception as the casts are only redundant for some ports. */
	MOV	#36, W0
	ADD	W10, W0, W1
	ADD	W10, #6, W0
	MOV	[W0], W0
	PUSH	W12
	PUSH	W10
	MOV	[W1], W12
	MOV	W0, W10
	CALL	_memcpy
	POP	W10
	POP	W12
;queue.c,1739 :: 		pxQueue->u.pcReadFrom -= pxQueue->uxItemSize;
	ADD	W10, #6, W2
	MOV	#36, W0
	ADD	W10, W0, W1
	MOV	[W2], W0
	SUB	W0, [W1], [W2]
;queue.c,1740 :: 		if( pxQueue->u.pcReadFrom < pxQueue->pcHead ) /*lint !e946 MISRA exception justified as comparison of pointers is the cleanest solution. */
	ADD	W10, #6, W0
	MOV	[W0], W1
	MOV	[W10], W0
	CP	W1, W0
	BRA LTU	L_queue_prvCopyDataToQueue363
	GOTO	L_queue_prvCopyDataToQueue194
L_queue_prvCopyDataToQueue363:
;queue.c,1742 :: 		pxQueue->u.pcReadFrom = ( pxQueue->pcTail - pxQueue->uxItemSize );
	ADD	W10, #6, W2
	ADD	W10, #2, W1
	MOV	#36, W0
	ADD	W10, W0, W0
	MOV	[W0], W0
	SUBR	W0, [W1], [W2]
;queue.c,1743 :: 		}
	GOTO	L_queue_prvCopyDataToQueue195
L_queue_prvCopyDataToQueue194:
;queue.c,1747 :: 		}
L_queue_prvCopyDataToQueue195:
;queue.c,1749 :: 		if( xPosition == queueOVERWRITE )
	CP	W12, #2
	BRA Z	L_queue_prvCopyDataToQueue364
	GOTO	L_queue_prvCopyDataToQueue196
L_queue_prvCopyDataToQueue364:
;queue.c,1751 :: 		if( uxMessagesWaiting > ( UBaseType_t ) 0 )
	MOV	[W14+0], W0
	CP	W0, #0
	BRA GTU	L_queue_prvCopyDataToQueue365
	GOTO	L_queue_prvCopyDataToQueue197
L_queue_prvCopyDataToQueue365:
;queue.c,1757 :: 		--uxMessagesWaiting;
	MOV	[W14+0], W1
	ADD	W14, #0, W0
	SUB	W1, #1, [W0]
;queue.c,1758 :: 		}
	GOTO	L_queue_prvCopyDataToQueue198
L_queue_prvCopyDataToQueue197:
;queue.c,1762 :: 		}
L_queue_prvCopyDataToQueue198:
;queue.c,1763 :: 		}
	GOTO	L_queue_prvCopyDataToQueue199
L_queue_prvCopyDataToQueue196:
;queue.c,1767 :: 		}
L_queue_prvCopyDataToQueue199:
;queue.c,1768 :: 		}
L_queue_prvCopyDataToQueue193:
L_queue_prvCopyDataToQueue189:
;queue.c,1770 :: 		pxQueue->uxMessagesWaiting = uxMessagesWaiting + 1;
	MOV	#32, W0
	ADD	W10, W0, W1
	MOV	[W14+0], W0
	INC	W0
	MOV	W0, [W1]
;queue.c,1772 :: 		return xReturn;
	MOV	[W14+2], W0
;queue.c,1773 :: 		}
;queue.c,1772 :: 		return xReturn;
;queue.c,1773 :: 		}
L_end_prvCopyDataToQueue:
	POP	W12
	ULNK
	RETURN
; end of queue_prvCopyDataToQueue

queue_prvCopyDataFromQueue:

;queue.c,1776 :: 		static void prvCopyDataFromQueue( Queue_t * const pxQueue, void * const pvBuffer )
;queue.c,1778 :: 		if( pxQueue->uxItemSize != ( UBaseType_t ) 0 )
	PUSH	W10
	PUSH	W11
	PUSH	W12
	MOV	#36, W0
	ADD	W10, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L_queue_prvCopyDataFromQueue367
	GOTO	L_queue_prvCopyDataFromQueue200
L_queue_prvCopyDataFromQueue367:
;queue.c,1780 :: 		pxQueue->u.pcReadFrom += pxQueue->uxItemSize;
	ADD	W10, #6, W2
	MOV	#36, W0
	ADD	W10, W0, W1
	MOV	[W2], W0
	ADD	W0, [W1], [W2]
;queue.c,1781 :: 		if( pxQueue->u.pcReadFrom >= pxQueue->pcTail ) /*lint !e946 MISRA exception justified as use of the relational operator is the cleanest solutions. */
	ADD	W10, #6, W0
	MOV	[W0], W1
	ADD	W10, #2, W0
	MOV	[W0], W0
	CP	W1, W0
	BRA GEU	L_queue_prvCopyDataFromQueue368
	GOTO	L_queue_prvCopyDataFromQueue201
L_queue_prvCopyDataFromQueue368:
;queue.c,1783 :: 		pxQueue->u.pcReadFrom = pxQueue->pcHead;
	ADD	W10, #6, W1
	MOV	[W10], W0
	MOV	W0, [W1]
;queue.c,1784 :: 		}
	GOTO	L_queue_prvCopyDataFromQueue202
L_queue_prvCopyDataFromQueue201:
;queue.c,1788 :: 		}
L_queue_prvCopyDataFromQueue202:
;queue.c,1789 :: 		( void ) memcpy( ( void * ) pvBuffer, ( void * ) pxQueue->u.pcReadFrom, ( size_t ) pxQueue->uxItemSize ); /*lint !e961 !e418 MISRA exception as the casts are only redundant for some ports.  Also previous logic ensures a null pointer can only be passed to memcpy() when the count is 0. */
	MOV	#36, W0
	ADD	W10, W0, W1
	ADD	W10, #6, W0
	MOV	[W0], W0
	MOV	[W1], W12
	MOV	W11, W10
	MOV	W0, W11
	CALL	_memcpy
;queue.c,1790 :: 		}
L_queue_prvCopyDataFromQueue200:
;queue.c,1791 :: 		}
L_end_prvCopyDataFromQueue:
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of queue_prvCopyDataFromQueue

queue_prvUnlockQueue:
	LNK	#2

;queue.c,1794 :: 		static void prvUnlockQueue( Queue_t * const pxQueue )
;queue.c,1802 :: 		taskENTER_CRITICAL();
	PUSH	W10
	CALL	_vPortEnterCritical
	POP	W10
;queue.c,1804 :: 		int8_t cTxLock = pxQueue->cTxLock;
	MOV	#39, W0
	ADD	W10, W0, W0
	MOV.B	[W0], W0
	MOV.B	W0, [W14+0]
;queue.c,1807 :: 		while( cTxLock > queueLOCKED_UNMODIFIED )
L_queue_prvUnlockQueue203:
	MOV.B	[W14+0], W0
	CP.B	W0, #0
	BRA GT	L_queue_prvUnlockQueue370
	GOTO	L_queue_prvUnlockQueue204
L_queue_prvUnlockQueue370:
;queue.c,1855 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToReceive ) ) == pdFALSE )
	ADD	W10, #20, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L_queue_prvUnlockQueue371
	INC.B	W0
L_queue_prvUnlockQueue371:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L_queue_prvUnlockQueue372
	GOTO	L_queue_prvUnlockQueue205
L_queue_prvUnlockQueue372:
;queue.c,1857 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToReceive ) ) != pdFALSE )
	ADD	W10, #20, W0
	PUSH	W10
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	POP	W10
	CP	W0, #0
	BRA NZ	L_queue_prvUnlockQueue373
	GOTO	L_queue_prvUnlockQueue206
L_queue_prvUnlockQueue373:
;queue.c,1861 :: 		vTaskMissedYield();
	PUSH	W10
	CALL	_vTaskMissedYield
	POP	W10
;queue.c,1862 :: 		}
	GOTO	L_queue_prvUnlockQueue207
L_queue_prvUnlockQueue206:
;queue.c,1866 :: 		}
L_queue_prvUnlockQueue207:
;queue.c,1867 :: 		}
	GOTO	L_queue_prvUnlockQueue208
L_queue_prvUnlockQueue205:
;queue.c,1870 :: 		break;
	GOTO	L_queue_prvUnlockQueue204
;queue.c,1871 :: 		}
L_queue_prvUnlockQueue208:
;queue.c,1875 :: 		--cTxLock;
	MOV.B	[W14+0], W1
	ADD	W14, #0, W0
	SUB.B	W1, #1, [W0]
;queue.c,1876 :: 		}
	GOTO	L_queue_prvUnlockQueue203
L_queue_prvUnlockQueue204:
;queue.c,1878 :: 		pxQueue->cTxLock = queueUNLOCKED;
	MOV	#39, W0
	ADD	W10, W0, W1
	MOV.B	#255, W0
	MOV.B	W0, [W1]
;queue.c,1880 :: 		taskEXIT_CRITICAL();
	PUSH	W10
	CALL	_vPortExitCritical
;queue.c,1883 :: 		taskENTER_CRITICAL();
	CALL	_vPortEnterCritical
	POP	W10
;queue.c,1885 :: 		int8_t cRxLock = pxQueue->cRxLock;
	MOV	#38, W0
	ADD	W10, W0, W0
	MOV.B	[W0], W0
	MOV.B	W0, [W14+1]
;queue.c,1887 :: 		while( cRxLock > queueLOCKED_UNMODIFIED )
L_queue_prvUnlockQueue209:
	MOV.B	[W14+1], W0
	CP.B	W0, #0
	BRA GT	L_queue_prvUnlockQueue374
	GOTO	L_queue_prvUnlockQueue210
L_queue_prvUnlockQueue374:
;queue.c,1889 :: 		if( listLIST_IS_EMPTY( &( pxQueue->xTasksWaitingToSend ) ) == pdFALSE )
	ADD	W10, #8, W0
	MOV	[W0], W0
	CP	W0, #0
	CLR.B	W0
	BRA NZ	L_queue_prvUnlockQueue375
	INC.B	W0
L_queue_prvUnlockQueue375:
	ZE	W0, W0
	CP	W0, #0
	BRA Z	L_queue_prvUnlockQueue376
	GOTO	L_queue_prvUnlockQueue211
L_queue_prvUnlockQueue376:
;queue.c,1891 :: 		if( xTaskRemoveFromEventList( &( pxQueue->xTasksWaitingToSend ) ) != pdFALSE )
	ADD	W10, #8, W0
	PUSH	W10
	MOV	W0, W10
	CALL	_xTaskRemoveFromEventList
	POP	W10
	CP	W0, #0
	BRA NZ	L_queue_prvUnlockQueue377
	GOTO	L_queue_prvUnlockQueue212
L_queue_prvUnlockQueue377:
;queue.c,1893 :: 		vTaskMissedYield();
	PUSH	W10
	CALL	_vTaskMissedYield
	POP	W10
;queue.c,1894 :: 		}
	GOTO	L_queue_prvUnlockQueue213
L_queue_prvUnlockQueue212:
;queue.c,1898 :: 		}
L_queue_prvUnlockQueue213:
;queue.c,1900 :: 		--cRxLock;
	MOV.B	[W14+1], W1
	ADD	W14, #1, W0
	SUB.B	W1, #1, [W0]
;queue.c,1901 :: 		}
	GOTO	L_queue_prvUnlockQueue214
L_queue_prvUnlockQueue211:
;queue.c,1904 :: 		break;
	GOTO	L_queue_prvUnlockQueue210
;queue.c,1905 :: 		}
L_queue_prvUnlockQueue214:
;queue.c,1906 :: 		}
	GOTO	L_queue_prvUnlockQueue209
L_queue_prvUnlockQueue210:
;queue.c,1908 :: 		pxQueue->cRxLock = queueUNLOCKED;
	MOV	#38, W0
	ADD	W10, W0, W1
	MOV.B	#255, W0
	MOV.B	W0, [W1]
;queue.c,1910 :: 		taskEXIT_CRITICAL();
	PUSH	W10
	CALL	_vPortExitCritical
	POP	W10
;queue.c,1911 :: 		}
L_end_prvUnlockQueue:
	ULNK
	RETURN
; end of queue_prvUnlockQueue

queue_prvIsQueueEmpty:
	LNK	#2

;queue.c,1914 :: 		static BaseType_t prvIsQueueEmpty( const Queue_t *pxQueue )
;queue.c,1918 :: 		taskENTER_CRITICAL();
	PUSH	W10
	CALL	_vPortEnterCritical
	POP	W10
;queue.c,1920 :: 		if( pxQueue->uxMessagesWaiting == ( UBaseType_t )  0 )
	MOV	#32, W0
	ADD	W10, W0, W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	WREG, 50
	MOV	[W1], W0
	CP	W0, #0
	BRA Z	L_queue_prvIsQueueEmpty379
	GOTO	L_queue_prvIsQueueEmpty215
L_queue_prvIsQueueEmpty379:
;queue.c,1922 :: 		xReturn = pdTRUE;
	MOV	#1, W0
	MOV	W0, [W14+0]
;queue.c,1923 :: 		}
	GOTO	L_queue_prvIsQueueEmpty216
L_queue_prvIsQueueEmpty215:
;queue.c,1926 :: 		xReturn = pdFALSE;
	CLR	W0
	MOV	W0, [W14+0]
;queue.c,1927 :: 		}
L_queue_prvIsQueueEmpty216:
;queue.c,1929 :: 		taskEXIT_CRITICAL();
	CALL	_vPortExitCritical
;queue.c,1931 :: 		return xReturn;
	MOV	[W14+0], W0
;queue.c,1932 :: 		}
L_end_prvIsQueueEmpty:
	ULNK
	RETURN
; end of queue_prvIsQueueEmpty

_xQueueIsQueueEmptyFromISR:

;queue.c,1935 :: 		BaseType_t xQueueIsQueueEmptyFromISR( const QueueHandle_t xQueue )
;queue.c,1939 :: 		configASSERT( xQueue );
	CP	W10, #0
	BRA Z	L__xQueueIsQueueEmptyFromISR381
	GOTO	L_xQueueIsQueueEmptyFromISR217
L__xQueueIsQueueEmptyFromISR381:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueIsQueueEmptyFromISR218:
	GOTO	L_xQueueIsQueueEmptyFromISR218
L_xQueueIsQueueEmptyFromISR217:
;queue.c,1940 :: 		if( ( ( Queue_t * ) xQueue )->uxMessagesWaiting == ( UBaseType_t ) 0 )
	MOV	#32, W0
	ADD	W10, W0, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA Z	L__xQueueIsQueueEmptyFromISR382
	GOTO	L_xQueueIsQueueEmptyFromISR220
L__xQueueIsQueueEmptyFromISR382:
;queue.c,1942 :: 		xReturn = pdTRUE;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1943 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_xQueueIsQueueEmptyFromISR221
L_xQueueIsQueueEmptyFromISR220:
;queue.c,1946 :: 		xReturn = pdFALSE;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1947 :: 		}
L_xQueueIsQueueEmptyFromISR221:
;queue.c,1949 :: 		return xReturn;
; xReturn start address is: 2 (W1)
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1950 :: 		} /*lint !e818 xQueue could not be pointer to const because it is a typedef. */
L_end_xQueueIsQueueEmptyFromISR:
	RETURN
; end of _xQueueIsQueueEmptyFromISR

queue_prvIsQueueFull:

;queue.c,1953 :: 		static BaseType_t prvIsQueueFull( const Queue_t *pxQueue )
;queue.c,1957 :: 		taskENTER_CRITICAL();
	PUSH	W10
	CALL	_vPortEnterCritical
	POP	W10
;queue.c,1959 :: 		if( pxQueue->uxMessagesWaiting == pxQueue->uxLength )
	MOV	#32, W0
	ADD	W10, W0, W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	WREG, 50
	MOV	[W1], W2
	MOV	#34, W0
	ADD	W10, W0, W1
	MOV	#___Lib_System_DefaultPage, W0
	MOV	WREG, 50
	MOV	[W1], W0
	CP	W2, W0
	BRA Z	L_queue_prvIsQueueFull384
	GOTO	L_queue_prvIsQueueFull222
L_queue_prvIsQueueFull384:
;queue.c,1961 :: 		xReturn = pdTRUE;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1962 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_queue_prvIsQueueFull223
L_queue_prvIsQueueFull222:
;queue.c,1965 :: 		xReturn = pdFALSE;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1966 :: 		}
L_queue_prvIsQueueFull223:
;queue.c,1968 :: 		taskEXIT_CRITICAL();
; xReturn start address is: 2 (W1)
	PUSH	W1
	CALL	_vPortExitCritical
	POP	W1
;queue.c,1970 :: 		return xReturn;
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1971 :: 		}
L_end_prvIsQueueFull:
	RETURN
; end of queue_prvIsQueueFull

_xQueueIsQueueFullFromISR:

;queue.c,1974 :: 		BaseType_t xQueueIsQueueFullFromISR( const QueueHandle_t xQueue )
;queue.c,1978 :: 		configASSERT( xQueue );
	CP	W10, #0
	BRA Z	L__xQueueIsQueueFullFromISR386
	GOTO	L_xQueueIsQueueFullFromISR224
L__xQueueIsQueueFullFromISR386:
	MOV.B	#32, W0
	MOV.B	W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(SRbits), W0
	XOR.B	W1, [W0], W1
	MOV	#lo_addr(SRbits), W0
	MOV.B	W1, [W0]
	NOP
L_xQueueIsQueueFullFromISR225:
	GOTO	L_xQueueIsQueueFullFromISR225
L_xQueueIsQueueFullFromISR224:
;queue.c,1979 :: 		if( ( ( Queue_t * ) xQueue )->uxMessagesWaiting == ( ( Queue_t * ) xQueue )->uxLength )
	MOV	#32, W0
	ADD	W10, W0, W0
	MOV	[W0], W1
	MOV	#34, W0
	ADD	W10, W0, W0
	MOV	[W0], W0
	CP	W1, W0
	BRA Z	L__xQueueIsQueueFullFromISR387
	GOTO	L_xQueueIsQueueFullFromISR227
L__xQueueIsQueueFullFromISR387:
;queue.c,1981 :: 		xReturn = pdTRUE;
; xReturn start address is: 2 (W1)
	MOV	#1, W1
;queue.c,1982 :: 		}
; xReturn end address is: 2 (W1)
	GOTO	L_xQueueIsQueueFullFromISR228
L_xQueueIsQueueFullFromISR227:
;queue.c,1985 :: 		xReturn = pdFALSE;
; xReturn start address is: 2 (W1)
	CLR	W1
; xReturn end address is: 2 (W1)
;queue.c,1986 :: 		}
L_xQueueIsQueueFullFromISR228:
;queue.c,1988 :: 		return xReturn;
; xReturn start address is: 2 (W1)
	MOV	W1, W0
; xReturn end address is: 2 (W1)
;queue.c,1989 :: 		} /*lint !e818 xQueue could not be pointer to const because it is a typedef. */
L_end_xQueueIsQueueFullFromISR:
	RETURN
; end of _xQueueIsQueueFullFromISR
